/* ImapDialog.c generated by valac 0.56.14, the Vala compiler
 * generated from ImapDialog.vala, do not modify */

/*
* Copyright 2020-2021 elementary, Inc. (https://elementary.io)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public
* License as published by the Free Software Foundation; either
* version 3 of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public
* License along with this program; if not, write to the
* Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
* Boston, MA 02110-1301 USA
*
*/
#if !defined VALA_STRICT_C && defined __GNUC__ && __GNUC__ >= 14
#pragma GCC diagnostic warning "-Wimplicit-function-declaration"
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#pragma GCC diagnostic warning "-Wint-conversion"
#pragma GCC diagnostic warning "-Wreturn-mismatch"
#endif

#include "online-accounts.h"
#include <gio/gio.h>
#include <granite.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <libedataserver/libedataserver.h>
#include <glib/gi18n-lib.h>
#include <camel/camel.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>
#include <glib-object.h>
#include <handy.h>
#include <gdk/gdk.h>

enum  {
	ONLINE_ACCOUNTS_IMAP_DIALOG_0_PROPERTY,
	ONLINE_ACCOUNTS_IMAP_DIALOG_NUM_PROPERTIES
};
static GParamSpec* online_accounts_imap_dialog_properties[ONLINE_ACCOUNTS_IMAP_DIALOG_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define __vala_ENamedParameters_free0(var) ((var == NULL) ? NULL : (var = (_vala_ENamedParameters_free (var), NULL)))
typedef struct _OnlineAccountsImapDialogLoadConfigurationData OnlineAccountsImapDialogLoadConfigurationData;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
typedef struct _OnlineAccountsImapDialogSaveConfigurationData OnlineAccountsImapDialogSaveConfigurationData;
typedef struct _Block6Data Block6Data;
typedef struct _Block7Data Block7Data;
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

struct _OnlineAccountsImapDialogPrivate {
	GCancellable* cancellable;
	GraniteValidatedEntry* imap_server_entry;
	GraniteValidatedEntry* imap_username_entry;
	GraniteValidatedEntry* smtp_server_entry;
	GtkButton* save_button;
	GtkCheckButton* use_imap_credentials;
	GtkCheckButton* smtp_no_credentials;
	GtkComboBoxText* imap_encryption_combobox;
	GtkComboBoxText* smtp_encryption_combobox;
	GtkEntry* smtp_password_entry;
	GtkEntry* smtp_username_entry;
	GtkSpinButton* imap_port_spin;
	GtkSpinButton* imap_refresh_interval_spin;
	GtkSpinButton* smtp_port_spin;
	OnlineAccountsImapLoginPage* login_page;
	OnlineAccountsImapSavePage* save_page;
	guint cancel_timeout_id;
	ESourceRegistry* registry;
	ESource* source;
};

struct _OnlineAccountsImapDialogLoadConfigurationData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	OnlineAccountsImapDialog* self;
	ESource* account_source;
	GCancellable* cancellable;
	GError* _tmp0_;
	ESourceRegistry* _tmp1_;
	ESourceRegistry* _tmp2_;
	ESourceRegistry* _tmp3_;
	ESource* _tmp4_;
	ESourceCredentialsProvider* credentials_provider;
	ESourceRegistry* _tmp5_;
	ESourceCredentialsProvider* _tmp6_;
	ENamedParameters* account_credentials;
	ESourceCredentialsProvider* _tmp7_;
	ENamedParameters* _tmp8_;
	ENamedParameters* _tmp9_;
	OnlineAccountsImapLoginPage* _tmp10_;
	ENamedParameters* _tmp11_;
	const gchar* _tmp12_;
	ESourceMailAccount* account_extension;
	ESourceExtension* _tmp13_;
	ESourceMailAccount* _tmp14_;
	const gchar* _tmp15_;
	const gchar* _tmp16_;
	ESource* identity_source;
	ESourceRegistry* _tmp17_;
	ESourceMailAccount* _tmp18_;
	const gchar* _tmp19_;
	const gchar* _tmp20_;
	ESource* _tmp21_;
	ESource* _tmp22_;
	ESource* _tmp23_;
	ESourceMailIdentity* identity_extension;
	ESource* _tmp24_;
	ESourceExtension* _tmp25_;
	OnlineAccountsImapLoginPage* _tmp26_;
	ESourceMailIdentity* _tmp27_;
	const gchar* _tmp28_;
	const gchar* _tmp29_;
	OnlineAccountsImapLoginPage* _tmp30_;
	ESourceMailIdentity* _tmp31_;
	const gchar* _tmp32_;
	const gchar* _tmp33_;
	ESource* _tmp34_;
	ESourceMailSubmission* submission_extension;
	ESource* _tmp35_;
	ESourceExtension* _tmp36_;
	ESourceMailSubmission* _tmp37_;
	const gchar* _tmp38_;
	const gchar* _tmp39_;
	ESource* transport_source;
	ESourceRegistry* _tmp40_;
	ESourceMailSubmission* _tmp41_;
	const gchar* _tmp42_;
	const gchar* _tmp43_;
	ESource* _tmp44_;
	ESource* _tmp45_;
	ESource* _tmp46_;
	ESourceSecurity* transport_security_extension;
	ESource* _tmp47_;
	ESourceExtension* _tmp48_;
	GtkComboBoxText* _tmp49_;
	ESourceSecurity* _tmp50_;
	const gchar* _tmp51_;
	const gchar* _tmp52_;
	ESource* _tmp53_;
	ESourceAuthentication* transport_auth_extension;
	ESource* _tmp54_;
	ESourceExtension* _tmp55_;
	GtkEntry* _tmp56_;
	ESourceAuthentication* _tmp57_;
	const gchar* _tmp58_;
	const gchar* _tmp59_;
	GraniteValidatedEntry* _tmp60_;
	ESourceAuthentication* _tmp61_;
	const gchar* _tmp62_;
	const gchar* _tmp63_;
	GtkSpinButton* _tmp64_;
	ESourceAuthentication* _tmp65_;
	guint _tmp66_;
	guint _tmp67_;
	ENamedParameters* transport_credentials;
	ESourceCredentialsProvider* _tmp68_;
	ESource* _tmp69_;
	ENamedParameters* _tmp70_;
	ENamedParameters* _tmp71_;
	GtkCheckButton* _tmp72_;
	gboolean _tmp73_;
	ENamedParameters* _tmp74_;
	ENamedParameters* _tmp75_;
	const gchar* _tmp76_;
	ENamedParameters* _tmp77_;
	const gchar* _tmp78_;
	GtkCheckButton* _tmp79_;
	GtkCheckButton* _tmp80_;
	GtkEntry* _tmp81_;
	ENamedParameters* _tmp82_;
	const gchar* _tmp83_;
	ESourceSecurity* account_security_extension;
	ESourceExtension* _tmp84_;
	GtkComboBoxText* _tmp85_;
	ESourceSecurity* _tmp86_;
	const gchar* _tmp87_;
	const gchar* _tmp88_;
	ESourceAuthentication* account_auth_extension;
	ESourceExtension* _tmp89_;
	GraniteValidatedEntry* _tmp90_;
	ESourceAuthentication* _tmp91_;
	const gchar* _tmp92_;
	const gchar* _tmp93_;
	GraniteValidatedEntry* _tmp94_;
	ESourceAuthentication* _tmp95_;
	const gchar* _tmp96_;
	const gchar* _tmp97_;
	GtkSpinButton* _tmp98_;
	ESourceAuthentication* _tmp99_;
	guint _tmp100_;
	guint _tmp101_;
	ESourceRefresh* refresh_extension;
	ESourceExtension* _tmp102_;
	GtkSpinButton* _tmp103_;
	ESourceRefresh* _tmp104_;
	guint _tmp105_;
	guint _tmp106_;
	const gchar* _tmp107_;
	const gchar* _tmp108_;
	OnlineAccountsImapLoginPage* _tmp109_;
	const gchar* _tmp110_;
	const gchar* _tmp111_;
	GError* _inner_error0_;
};

struct _OnlineAccountsImapDialogSaveConfigurationData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	OnlineAccountsImapDialog* self;
	ESourceRegistry* _tmp0_;
	ESourceRegistry* _tmp1_;
	GCancellable* _tmp2_;
	ESourceRegistry* _tmp3_;
	ESourceRegistry* _tmp4_;
	GCancellable* _tmp5_;
	ESource* account_source;
	ESource* identity_source;
	ESource* transport_source;
	ESource* _tmp6_;
	ESource* _tmp7_;
	ESource* _tmp8_;
	ESource* _tmp9_;
	ESourceMailAccount* account_extension;
	ESource* _tmp10_;
	ESourceExtension* _tmp11_;
	ESourceMailAccount* _tmp12_;
	const gchar* _tmp13_;
	const gchar* _tmp14_;
	ESourceRegistry* _tmp15_;
	ESourceMailAccount* _tmp16_;
	const gchar* _tmp17_;
	const gchar* _tmp18_;
	ESource* _tmp19_;
	gboolean _tmp20_;
	ESource* _tmp21_;
	ESource* _tmp22_;
	ESourceMailSubmission* submission_extension;
	ESource* _tmp23_;
	ESourceExtension* _tmp24_;
	ESourceMailSubmission* _tmp25_;
	const gchar* _tmp26_;
	const gchar* _tmp27_;
	ESourceRegistry* _tmp28_;
	ESourceMailSubmission* _tmp29_;
	const gchar* _tmp30_;
	const gchar* _tmp31_;
	ESource* _tmp32_;
	ESource* _tmp33_;
	ESource* _tmp34_;
	gchar* _tmp35_;
	ESource* _tmp36_;
	ESource* _tmp37_;
	ESource* _tmp38_;
	ESource* _tmp39_;
	ESource* _tmp40_;
	const gchar* _tmp41_;
	const gchar* _tmp42_;
	gchar* _tmp43_;
	ESource* _tmp44_;
	ESource* _tmp45_;
	ESource* _tmp46_;
	ESource* _tmp47_;
	ESource* _tmp48_;
	const gchar* _tmp49_;
	const gchar* _tmp50_;
	gchar* _tmp51_;
	ESource* _tmp52_;
	ESource* _tmp53_;
	ESource* _tmp54_;
	ESource* _tmp55_;
	ESource* _tmp56_;
	OnlineAccountsImapLoginPage* _tmp57_;
	const gchar* _tmp58_;
	const gchar* _tmp59_;
	ESourceMailAccount* _vala1_account_extension;
	ESource* _tmp60_;
	ESourceExtension* _tmp61_;
	ESourceMailAccount* _tmp62_;
	ESource* _tmp63_;
	const gchar* _tmp64_;
	const gchar* _tmp65_;
	ESourceMailAccount* _tmp66_;
	ESourceMailAccount* _tmp67_;
	ESourceSecurity* account_security_extension;
	ESource* _tmp68_;
	ESourceExtension* _tmp69_;
	ESourceSecurity* _tmp70_;
	GtkComboBoxText* _tmp71_;
	const gchar* _tmp72_;
	const gchar* _tmp73_;
	ESourceAuthentication* account_auth_extension;
	ESource* _tmp74_;
	ESourceExtension* _tmp75_;
	ESourceAuthentication* _tmp76_;
	GraniteValidatedEntry* _tmp77_;
	const gchar* _tmp78_;
	const gchar* _tmp79_;
	ESourceAuthentication* _tmp80_;
	GtkSpinButton* _tmp81_;
	gdouble _tmp82_;
	gdouble _tmp83_;
	ESourceAuthentication* _tmp84_;
	GraniteValidatedEntry* _tmp85_;
	const gchar* _tmp86_;
	const gchar* _tmp87_;
	ESourceRefresh* refresh_extension;
	ESource* _tmp88_;
	ESourceExtension* _tmp89_;
	ESourceRefresh* _tmp90_;
	ESourceRefresh* _tmp91_;
	GtkSpinButton* _tmp92_;
	gdouble _tmp93_;
	gdouble _tmp94_;
	ESourceMailSubmission* _vala1_submission_extension;
	ESource* _tmp95_;
	ESourceExtension* _tmp96_;
	ESourceMailSubmission* _tmp97_;
	ESource* _tmp98_;
	const gchar* _tmp99_;
	const gchar* _tmp100_;
	ESourceMailIdentity* identity_extension;
	ESource* _tmp101_;
	ESourceExtension* _tmp102_;
	ESourceMailIdentity* _tmp103_;
	OnlineAccountsImapLoginPage* _tmp104_;
	const gchar* _tmp105_;
	const gchar* _tmp106_;
	ESourceMailIdentity* _tmp107_;
	OnlineAccountsImapLoginPage* _tmp108_;
	const gchar* _tmp109_;
	const gchar* _tmp110_;
	ESourceMailTransport* transport_extension;
	ESource* _tmp111_;
	ESourceExtension* _tmp112_;
	ESourceMailTransport* _tmp113_;
	ESourceSecurity* transport_security_extension;
	ESource* _tmp114_;
	ESourceExtension* _tmp115_;
	ESourceSecurity* _tmp116_;
	GtkComboBoxText* _tmp117_;
	const gchar* _tmp118_;
	const gchar* _tmp119_;
	ESourceAuthentication* transport_auth_extension;
	ESource* _tmp120_;
	ESourceExtension* _tmp121_;
	ESourceAuthentication* _tmp122_;
	GraniteValidatedEntry* _tmp123_;
	const gchar* _tmp124_;
	const gchar* _tmp125_;
	ESourceAuthentication* _tmp126_;
	GtkSpinButton* _tmp127_;
	gdouble _tmp128_;
	gdouble _tmp129_;
	GtkCheckButton* _tmp130_;
	gboolean _tmp131_;
	gboolean _tmp132_;
	ESourceAuthentication* _tmp133_;
	GraniteValidatedEntry* _tmp134_;
	const gchar* _tmp135_;
	const gchar* _tmp136_;
	ESourceAuthentication* _tmp137_;
	GtkEntry* _tmp138_;
	const gchar* _tmp139_;
	const gchar* _tmp140_;
	OnlineAccountsCamelSession* session;
	OnlineAccountsCamelSession* _tmp141_;
	CamelService* imap_service;
	OnlineAccountsCamelSession* _tmp142_;
	ESource* _tmp143_;
	const gchar* _tmp144_;
	const gchar* _tmp145_;
	ESourceMailAccount* _tmp146_;
	const gchar* _tmp147_;
	const gchar* _tmp148_;
	CamelService* _tmp149_;
	CamelService* _tmp150_;
	OnlineAccountsImapLoginPage* _tmp151_;
	const gchar* _tmp152_;
	const gchar* _tmp153_;
	ESource* _tmp154_;
	CamelService* _tmp155_;
	CamelService* _tmp156_;
	CamelService* _tmp157_;
	GCancellable* _tmp158_;
	GList* imap_auth_types;
	CamelService* _tmp159_;
	GCancellable* _tmp160_;
	GList* _tmp161_;
	GError* imap_auth_error;
	GList* _tmp162_;
	GList* imap_auth_type_collection;
	GList* imap_auth_type_it;
	CamelServiceAuthType* imap_auth_type;
	CamelServiceAuthType* _tmp163_;
	const gchar* _tmp164_;
	ESourceAuthentication* _tmp165_;
	CamelServiceAuthType* _tmp166_;
	const gchar* _tmp167_;
	ESource* _tmp168_;
	CamelService* _tmp169_;
	GCancellable* imap_auth_cancellable;
	GCancellable* _tmp170_;
	GCancellable* _tmp171_;
	CamelService* _tmp172_;
	CamelService* _tmp173_;
	GCancellable* _tmp174_;
	CamelService* _tmp175_;
	GCancellable* _tmp176_;
	CamelServiceAuthType* _tmp177_;
	const gchar* _tmp178_;
	GError* e;
	CamelServiceAuthType* _tmp179_;
	const gchar* _tmp180_;
	GError* _tmp181_;
	const gchar* _tmp182_;
	GError* _tmp183_;
	GError* _tmp184_;
	GError* _tmp185_;
	GError* _tmp186_;
	GError* _tmp187_;
	GError* _tmp188_;
	const gchar* _tmp189_;
	gchar* _tmp190_;
	gchar* _tmp191_;
	GError* _tmp192_;
	GError* _tmp193_;
	CamelService* _tmp194_;
	CamelStore* imap_store;
	CamelService* _tmp195_;
	CamelStore* _tmp196_;
	GHashTable* save_setup;
	CamelStore* _tmp197_;
	GCancellable* _tmp198_;
	GHashTable* _tmp199_;
	GHashTable* _tmp200_;
	gchar* encoded_account_uri;
	ESource* _tmp201_;
	const gchar* _tmp202_;
	const gchar* _tmp203_;
	gchar* _tmp204_;
	GHashTable* _tmp205_;
	GList* _tmp206_;
	GList* key_collection;
	GList* key_it;
	const gchar* key;
	gchar** keys;
	const gchar* _tmp207_;
	gchar** _tmp208_;
	gchar** _tmp209_;
	gint keys_length1;
	gint _keys_size_;
	gboolean _tmp210_;
	gchar** _tmp211_;
	gint _tmp211__length1;
	gchar** _tmp212_;
	gint _tmp212__length1;
	gchar** _tmp213_;
	gint _tmp213__length1;
	const gchar* _tmp214_;
	gchar* save_setup_source_type;
	gchar** _tmp215_;
	gint _tmp215__length1;
	const gchar* _tmp216_;
	gchar* _tmp217_;
	gchar* save_setup_extension_name;
	gchar** _tmp218_;
	gint _tmp218__length1;
	const gchar* _tmp219_;
	gchar* _tmp220_;
	gchar* save_setup_property_name;
	gchar** _tmp221_;
	gint _tmp221__length1;
	const gchar* _tmp222_;
	gchar* _tmp223_;
	gchar* save_setup_property_type;
	gchar** _tmp224_;
	gint _tmp224__length1;
	const gchar* _tmp225_;
	gchar* _tmp226_;
	gchar* save_setup_property_value;
	GHashTable* _tmp227_;
	const gchar* _tmp228_;
	gconstpointer _tmp229_;
	gchar* _tmp230_;
	const gchar* _tmp231_;
	const gchar* _tmp232_;
	GQuark _tmp234_;
	ESource* _tmp235_;
	const gchar* _tmp236_;
	const gchar* _tmp237_;
	const gchar* _tmp238_;
	const gchar* _tmp239_;
	const gchar* _tmp240_;
	ESource* _tmp241_;
	const gchar* _tmp242_;
	const gchar* _tmp243_;
	const gchar* _tmp244_;
	const gchar* _tmp245_;
	const gchar* _tmp246_;
	ESource* _tmp247_;
	const gchar* _tmp248_;
	const gchar* _tmp249_;
	const gchar* _tmp250_;
	const gchar* _tmp251_;
	const gchar* _tmp252_;
	ESource* _tmp253_;
	const gchar* _tmp254_;
	const gchar* _tmp255_;
	const gchar* _tmp256_;
	const gchar* _tmp257_;
	const gchar* _tmp258_;
	const gchar* _tmp259_;
	ESourceMailAccount* _tmp260_;
	GError* _vala1_e;
	GError* _tmp261_;
	const gchar* _tmp262_;
	GCancellable* _tmp263_;
	CamelService* transport_service;
	OnlineAccountsCamelSession* _tmp264_;
	ESource* _tmp265_;
	const gchar* _tmp266_;
	const gchar* _tmp267_;
	ESourceMailTransport* _tmp268_;
	const gchar* _tmp269_;
	const gchar* _tmp270_;
	CamelService* _tmp271_;
	ESource* _tmp272_;
	CamelService* _tmp273_;
	GtkCheckButton* _tmp274_;
	gboolean _tmp275_;
	gboolean _tmp276_;
	GtkCheckButton* _tmp277_;
	gboolean _tmp278_;
	gboolean _tmp279_;
	CamelService* _tmp280_;
	OnlineAccountsImapLoginPage* _tmp281_;
	const gchar* _tmp282_;
	const gchar* _tmp283_;
	CamelService* _tmp284_;
	GtkEntry* _tmp285_;
	const gchar* _tmp286_;
	const gchar* _tmp287_;
	CamelService* _tmp288_;
	CamelService* _tmp289_;
	GCancellable* _tmp290_;
	GList* smtp_auth_types;
	CamelService* _tmp291_;
	GCancellable* _tmp292_;
	GList* _tmp293_;
	GError* smtp_auth_error;
	GList* _tmp294_;
	GList* smtp_auth_type_collection;
	GList* smtp_auth_type_it;
	CamelServiceAuthType* smtp_auth_type;
	CamelServiceAuthType* _tmp295_;
	const gchar* _tmp296_;
	ESourceAuthentication* _tmp297_;
	CamelServiceAuthType* _tmp298_;
	const gchar* _tmp299_;
	ESource* _tmp300_;
	CamelService* _tmp301_;
	GCancellable* smtp_auth_cancellable;
	GCancellable* _tmp302_;
	GCancellable* _tmp303_;
	CamelService* _tmp304_;
	GCancellable* _tmp305_;
	CamelServiceAuthType* _tmp306_;
	const gchar* _tmp307_;
	GError* _vala2_e;
	CamelServiceAuthType* _tmp308_;
	const gchar* _tmp309_;
	GError* _tmp310_;
	const gchar* _tmp311_;
	GError* _tmp312_;
	GError* _tmp313_;
	GError* _tmp314_;
	GError* _tmp315_;
	GError* _tmp316_;
	GError* _tmp317_;
	const gchar* _tmp318_;
	gchar* _tmp319_;
	gchar* _tmp320_;
	GError* _tmp321_;
	GError* _tmp322_;
	GCancellable* _tmp323_;
	ESource* _tmp324_;
	OnlineAccountsImapLoginPage* _tmp325_;
	const gchar* _tmp326_;
	const gchar* _tmp327_;
	GCancellable* _tmp328_;
	GtkCheckButton* _tmp329_;
	gboolean _tmp330_;
	gboolean _tmp331_;
	ESource* _tmp332_;
	OnlineAccountsImapLoginPage* _tmp333_;
	const gchar* _tmp334_;
	const gchar* _tmp335_;
	GCancellable* _tmp336_;
	ESource* _tmp337_;
	GtkEntry* _tmp338_;
	const gchar* _tmp339_;
	const gchar* _tmp340_;
	GCancellable* _tmp341_;
	ESourceRegistry* _tmp342_;
	ESource* _tmp343_;
	GCancellable* _tmp344_;
	ESourceRegistry* _tmp345_;
	ESource* _tmp346_;
	GCancellable* _tmp347_;
	ESourceRegistry* _tmp348_;
	ESource* _tmp349_;
	GCancellable* _tmp350_;
	GError* _inner_error0_;
};

struct _Block6Data {
	int _ref_count_;
	OnlineAccountsImapDialog* self;
	GCancellable* cancellable;
};

struct _Block7Data {
	int _ref_count_;
	OnlineAccountsImapDialog* self;
	GtkRevealer* smtp_revealer;
	GtkGrid* main_grid;
	HdyDeck* deck;
};

static gint OnlineAccountsImapDialog_private_offset;
static gpointer online_accounts_imap_dialog_parent_class = NULL;

static void online_accounts_imap_dialog_set_button_sensitivity (OnlineAccountsImapDialog* self);
static void online_accounts_imap_dialog_load_configuration_data_free (gpointer _data);
static gboolean online_accounts_imap_dialog_load_configuration_co (OnlineAccountsImapDialogLoadConfigurationData* _data_);
static void online_accounts_imap_dialog_load_configuration_ready (GObject* source_object,
                                                           GAsyncResult* _res_,
                                                           gpointer _user_data_);
static void _vala_ENamedParameters_free (ENamedParameters* self);
static void online_accounts_imap_dialog_save_configuration_data_free (gpointer _data);
static void online_accounts_imap_dialog_save_configuration (OnlineAccountsImapDialog* self,
                                                     GAsyncReadyCallback _callback_,
                                                     gpointer _user_data_);
static void online_accounts_imap_dialog_save_configuration_finish (OnlineAccountsImapDialog* self,
                                                            GAsyncResult* _res_,
                                                            GError** error);
static gboolean online_accounts_imap_dialog_save_configuration_co (OnlineAccountsImapDialogSaveConfigurationData* _data_);
static void online_accounts_imap_dialog_save_configuration_ready (GObject* source_object,
                                                           GAsyncResult* _res_,
                                                           gpointer _user_data_);
static void online_accounts_imap_dialog_set_cancel_timeout (OnlineAccountsImapDialog* self,
                                                     GCancellable* cancellable);
static void online_accounts_imap_dialog_unset_cancel_timeout (OnlineAccountsImapDialog* self);
static void online_accounts_imap_dialog_save_initial_setup_key_for_source (OnlineAccountsImapDialog* self,
                                                                    ESource* source,
                                                                    const gchar* extension_name,
                                                                    const gchar* property_name,
                                                                    const gchar* property_type,
                                                                    const gchar* val,
                                                                    const gchar* encoded_account_uri);
static Block6Data* block6_data_ref (Block6Data* _data6_);
static void block6_data_unref (void * _userdata_);
static gboolean __lambda26_ (Block6Data* _data6_);
static gboolean ___lambda26__gsource_func (gpointer self);
static GObject * online_accounts_imap_dialog_constructor (GType type,
                                                   guint n_construct_properties,
                                                   GObjectConstructParam * construct_properties);
static Block7Data* block7_data_ref (Block7Data* _data7_);
static void block7_data_unref (void * _userdata_);
static void _gtk_widget_destroy_online_accounts_imap_login_page_cancel (OnlineAccountsImapLoginPage* _sender,
                                                                 gpointer self);
static void _online_accounts_imap_dialog___lambda27_ (Block7Data* _data7_);
static void __online_accounts_imap_dialog___lambda27__gtk_button_clicked (GtkButton* _sender,
                                                                   gpointer self);
static void _gtk_widget_destroy_online_accounts_imap_save_page_close (OnlineAccountsImapSavePage* _sender,
                                                               gpointer self);
static void _online_accounts_imap_dialog___lambda28_ (Block7Data* _data7_);
static void __online_accounts_imap_dialog___lambda28__online_accounts_imap_save_page_back (OnlineAccountsImapSavePage* _sender,
                                                                                    gpointer self);
static void _online_accounts_imap_dialog___lambda29_ (Block7Data* _data7_);
static void __online_accounts_imap_dialog___lambda29__gtk_button_clicked (GtkButton* _sender,
                                                                   gpointer self);
static void _online_accounts_imap_dialog___lambda30_ (Block7Data* _data7_);
static void __online_accounts_imap_dialog___lambda30__g_object_notify (GObject* _sender,
                                                                GParamSpec* pspec,
                                                                gpointer self);
static void _online_accounts_imap_dialog___lambda31_ (OnlineAccountsImapDialog* self);
static void __online_accounts_imap_dialog___lambda31__g_object_notify (GObject* _sender,
                                                                GParamSpec* pspec,
                                                                gpointer self);
static void _online_accounts_imap_dialog___lambda32_ (OnlineAccountsImapDialog* self);
static void __online_accounts_imap_dialog___lambda32__gtk_editable_changed (GtkEditable* _sender,
                                                                     gpointer self);
static void _online_accounts_imap_dialog___lambda33_ (OnlineAccountsImapDialog* self);
static void __online_accounts_imap_dialog___lambda33__gtk_editable_changed (GtkEditable* _sender,
                                                                     gpointer self);
static void _online_accounts_imap_dialog___lambda34_ (OnlineAccountsImapDialog* self);
static void __online_accounts_imap_dialog___lambda34__gtk_combo_box_changed (GtkComboBox* _sender,
                                                                      gpointer self);
static void _online_accounts_imap_dialog___lambda35_ (OnlineAccountsImapDialog* self);
static void __online_accounts_imap_dialog___lambda35__gtk_editable_changed (GtkEditable* _sender,
                                                                     gpointer self);
static void _online_accounts_imap_dialog___lambda36_ (OnlineAccountsImapDialog* self);
static void __online_accounts_imap_dialog___lambda36__gtk_combo_box_changed (GtkComboBox* _sender,
                                                                      gpointer self);
static void _online_accounts_imap_dialog___lambda37_ (Block7Data* _data7_);
static void __lambda38_ (OnlineAccountsImapDialog* self,
                  GObject* obj,
                  GAsyncResult* res);
static void ___lambda38__gasync_ready_callback (GObject* source_object,
                                         GAsyncResult* res,
                                         gpointer self);
static void __online_accounts_imap_dialog___lambda37__gtk_button_clicked (GtkButton* _sender,
                                                                   gpointer self);
static gboolean _online_accounts_imap_dialog___lambda39_ (OnlineAccountsImapDialog* self,
                                                   GdkEventKey* event_key);
static gboolean __online_accounts_imap_dialog___lambda39__gtk_widget_key_release_event (GtkWidget* _sender,
                                                                                 GdkEventKey* event,
                                                                                 gpointer self);
static void online_accounts_imap_dialog_finalize (GObject * obj);
static GType online_accounts_imap_dialog_get_type_once (void);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);
static gssize _vala_array_length (gpointer array);

static inline gpointer
online_accounts_imap_dialog_get_instance_private (OnlineAccountsImapDialog* self)
{
	return G_STRUCT_MEMBER_P (self, OnlineAccountsImapDialog_private_offset);
}

static void
online_accounts_imap_dialog_set_button_sensitivity (OnlineAccountsImapDialog* self)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GraniteValidatedEntry* _tmp2_;
	gboolean _tmp3_;
	gboolean _tmp4_;
	GtkButton* _tmp11_;
#line 365 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (self != NULL);
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = self->priv->imap_username_entry;
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp3_ = granite_validated_entry_get_is_valid (_tmp2_);
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp4_ = _tmp3_;
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_tmp4_) {
#line 772 "ImapDialog.c"
		GraniteValidatedEntry* _tmp5_;
		gboolean _tmp6_;
		gboolean _tmp7_;
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp5_ = self->priv->imap_server_entry;
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp6_ = granite_validated_entry_get_is_valid (_tmp5_);
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp7_ = _tmp6_;
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp1_ = _tmp7_;
#line 784 "ImapDialog.c"
	} else {
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp1_ = FALSE;
#line 788 "ImapDialog.c"
	}
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_tmp1_) {
#line 792 "ImapDialog.c"
		GraniteValidatedEntry* _tmp8_;
		gboolean _tmp9_;
		gboolean _tmp10_;
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp8_ = self->priv->smtp_server_entry;
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp9_ = granite_validated_entry_get_is_valid (_tmp8_);
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp10_ = _tmp9_;
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp0_ = _tmp10_;
#line 804 "ImapDialog.c"
	} else {
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp0_ = FALSE;
#line 808 "ImapDialog.c"
	}
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp11_ = self->priv->save_button;
#line 366 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp11_, _tmp0_);
#line 814 "ImapDialog.c"
}

static void
online_accounts_imap_dialog_load_configuration_data_free (gpointer _data)
{
	OnlineAccountsImapDialogLoadConfigurationData* _data_;
	_data_ = _data;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->account_source);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->cancellable);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->self);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	g_slice_free (OnlineAccountsImapDialogLoadConfigurationData, _data_);
#line 830 "ImapDialog.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 838 "ImapDialog.c"
}

void
online_accounts_imap_dialog_load_configuration (OnlineAccountsImapDialog* self,
                                                ESource* account_source,
                                                GCancellable* cancellable,
                                                GAsyncReadyCallback _callback_,
                                                gpointer _user_data_)
{
	OnlineAccountsImapDialogLoadConfigurationData* _data_;
	OnlineAccountsImapDialog* _tmp0_;
	ESource* _tmp1_;
	GCancellable* _tmp2_;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (self != NULL);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (account_source != NULL);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_ = g_slice_new0 (OnlineAccountsImapDialogLoadConfigurationData);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), cancellable, _callback_, _user_data_);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	g_task_set_task_data (_data_->_async_result, _data_, online_accounts_imap_dialog_load_configuration_data_free);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->self = _tmp0_;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = _g_object_ref0 (account_source);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->account_source);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->account_source = _tmp1_;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = _g_object_ref0 (cancellable);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->cancellable);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->cancellable = _tmp2_;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	online_accounts_imap_dialog_load_configuration_co (_data_);
#line 880 "ImapDialog.c"
}

void
online_accounts_imap_dialog_load_configuration_finish (OnlineAccountsImapDialog* self,
                                                       GAsyncResult* _res_,
                                                       GError** error)
{
	OnlineAccountsImapDialogLoadConfigurationData* _data_;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), error);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	if (NULL == _data_) {
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
		return;
#line 895 "ImapDialog.c"
	}
}

static void
online_accounts_imap_dialog_load_configuration_ready (GObject* source_object,
                                                      GAsyncResult* _res_,
                                                      gpointer _user_data_)
{
	OnlineAccountsImapDialogLoadConfigurationData* _data_;
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_ = _user_data_;
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_source_object_ = source_object;
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_res_ = _res_;
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	online_accounts_imap_dialog_load_configuration_co (_data_);
#line 913 "ImapDialog.c"
}

static void
_vala_ENamedParameters_free (ENamedParameters* self)
{
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
	g_boxed_free (e_named_parameters_get_type (), self);
#line 921 "ImapDialog.c"
}

static gboolean
online_accounts_imap_dialog_load_configuration_co (OnlineAccountsImapDialogLoadConfigurationData* _data_)
{
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
	switch (_data_->_state_) {
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
		case 0:
#line 931 "ImapDialog.c"
		goto _state_0;
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
		case 1:
#line 935 "ImapDialog.c"
		goto _state_1;
		default:
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
		g_assert_not_reached ();
#line 940 "ImapDialog.c"
	}
	_state_0:
#line 370 "../src/Dialogs/Imap/ImapDialog.vala"
	if (!e_source_has_extension (_data_->account_source, E_SOURCE_EXTENSION_MAIL_ACCOUNT)) {
#line 371 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp0_ = g_error_new_literal (CAMEL_ERROR, CAMEL_ERROR_GENERIC, _ ("The data provided does not seem to reflect a valid mail account."));
#line 371 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_inner_error0_ = _data_->_tmp0_;
#line 371 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 371 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 371 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 955 "ImapDialog.c"
	}
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_state_ = 1;
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_registry_new (_data_->cancellable, online_accounts_imap_dialog_load_configuration_ready, _data_);
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	return FALSE;
#line 963 "ImapDialog.c"
	_state_1:
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp2_ = e_source_registry_new_finish (_data_->_res_, &_data_->_inner_error0_);
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp1_ = _data_->_tmp2_;
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 977 "ImapDialog.c"
	}
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp3_ = _data_->_tmp1_;
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp1_ = NULL;
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->self->priv->registry);
#line 374 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->self->priv->registry = _data_->_tmp3_;
#line 375 "../src/Dialogs/Imap/ImapDialog.vala"
	if (g_cancellable_is_cancelled (_data_->cancellable)) {
#line 376 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->_tmp1_);
#line 376 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 376 "../src/Dialogs/Imap/ImapDialog.vala"
		if (_data_->_state_ != 0) {
#line 376 "../src/Dialogs/Imap/ImapDialog.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 376 "../src/Dialogs/Imap/ImapDialog.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 999 "ImapDialog.c"
			}
		}
#line 376 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 376 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 1006 "ImapDialog.c"
	}
#line 378 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp4_ = _g_object_ref0 (_data_->account_source);
#line 378 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->self->priv->source);
#line 378 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->self->priv->source = _data_->_tmp4_;
#line 379 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp5_ = _data_->self->priv->registry;
#line 379 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp6_ = e_source_credentials_provider_new (_data_->_tmp5_);
#line 379 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->credentials_provider = _data_->_tmp6_;
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp7_ = _data_->credentials_provider;
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp8_ = NULL;
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_credentials_provider_lookup_sync (_data_->_tmp7_, _data_->account_source, NULL, &_data_->_tmp8_, &_data_->_inner_error0_);
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
	__vala_ENamedParameters_free0 (_data_->account_credentials);
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->account_credentials = _data_->_tmp8_;
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
		__vala_ENamedParameters_free0 (_data_->account_credentials);
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->credentials_provider);
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->_tmp1_);
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 382 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 1044 "ImapDialog.c"
	}
#line 383 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp9_ = _data_->account_credentials;
#line 383 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_tmp9_ != NULL) {
#line 384 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp10_ = _data_->self->priv->login_page;
#line 384 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp11_ = _data_->account_credentials;
#line 384 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp12_ = e_named_parameters_get (_data_->_tmp11_, E_SOURCE_CREDENTIAL_PASSWORD);
#line 384 "../src/Dialogs/Imap/ImapDialog.vala"
		online_accounts_imap_login_page_set_password (_data_->_tmp10_, _data_->_tmp12_);
#line 1058 "ImapDialog.c"
	}
#line 388 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp13_ = e_source_get_extension (_data_->account_source, E_SOURCE_EXTENSION_MAIL_ACCOUNT);
#line 388 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->account_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp13_, e_source_mail_account_get_type (), ESourceMailAccount);
#line 390 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp14_ = _data_->account_extension;
#line 390 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp15_ = e_source_mail_account_get_identity_uid (_data_->_tmp14_);
#line 390 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp16_ = _data_->_tmp15_;
#line 390 "../src/Dialogs/Imap/ImapDialog.vala"
	if (g_strcmp0 (_data_->_tmp16_, "") != 0) {
#line 391 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp17_ = _data_->self->priv->registry;
#line 391 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp18_ = _data_->account_extension;
#line 391 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp19_ = e_source_mail_account_get_identity_uid (_data_->_tmp18_);
#line 391 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp20_ = _data_->_tmp19_;
#line 391 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp21_ = e_source_registry_ref_source (_data_->_tmp17_, _data_->_tmp20_);
#line 391 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->identity_source = _data_->_tmp21_;
#line 393 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp22_ = _data_->identity_source;
#line 393 "../src/Dialogs/Imap/ImapDialog.vala"
		if (_data_->_tmp22_ != NULL) {
#line 395 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp23_ = _data_->identity_source;
#line 395 "../src/Dialogs/Imap/ImapDialog.vala"
			if (e_source_has_extension (_data_->_tmp23_, E_SOURCE_EXTENSION_MAIL_IDENTITY)) {
#line 396 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp24_ = _data_->identity_source;
#line 396 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp25_ = e_source_get_extension (_data_->_tmp24_, E_SOURCE_EXTENSION_MAIL_IDENTITY);
#line 396 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->identity_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp25_, e_source_mail_identity_get_type (), ESourceMailIdentity);
#line 397 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp26_ = _data_->self->priv->login_page;
#line 397 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp27_ = _data_->identity_extension;
#line 397 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp28_ = e_source_mail_identity_get_address (_data_->_tmp27_);
#line 397 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp29_ = _data_->_tmp28_;
#line 397 "../src/Dialogs/Imap/ImapDialog.vala"
				online_accounts_imap_login_page_set_email (_data_->_tmp26_, _data_->_tmp29_);
#line 398 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp30_ = _data_->self->priv->login_page;
#line 398 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp31_ = _data_->identity_extension;
#line 398 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp32_ = e_source_mail_identity_get_name (_data_->_tmp31_);
#line 398 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp33_ = _data_->_tmp32_;
#line 398 "../src/Dialogs/Imap/ImapDialog.vala"
				online_accounts_imap_login_page_set_real_name (_data_->_tmp30_, _data_->_tmp33_);
#line 1118 "ImapDialog.c"
			}
#line 401 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp34_ = _data_->identity_source;
#line 401 "../src/Dialogs/Imap/ImapDialog.vala"
			if (e_source_has_extension (_data_->_tmp34_, E_SOURCE_EXTENSION_MAIL_SUBMISSION)) {
#line 405 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp35_ = _data_->identity_source;
#line 405 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp36_ = e_source_get_extension (_data_->_tmp35_, E_SOURCE_EXTENSION_MAIL_SUBMISSION);
#line 405 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->submission_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp36_, e_source_mail_submission_get_type (), ESourceMailSubmission);
#line 407 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp37_ = _data_->submission_extension;
#line 407 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp38_ = e_source_mail_submission_get_transport_uid (_data_->_tmp37_);
#line 407 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp39_ = _data_->_tmp38_;
#line 407 "../src/Dialogs/Imap/ImapDialog.vala"
				if (_data_->_tmp39_ != NULL) {
#line 408 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp40_ = _data_->self->priv->registry;
#line 408 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp41_ = _data_->submission_extension;
#line 408 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp42_ = e_source_mail_submission_get_transport_uid (_data_->_tmp41_);
#line 408 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp43_ = _data_->_tmp42_;
#line 408 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp44_ = e_source_registry_ref_source (_data_->_tmp40_, _data_->_tmp43_);
#line 408 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->transport_source = _data_->_tmp44_;
#line 410 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp45_ = _data_->transport_source;
#line 410 "../src/Dialogs/Imap/ImapDialog.vala"
					if (_data_->_tmp45_ != NULL) {
#line 411 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp46_ = _data_->transport_source;
#line 411 "../src/Dialogs/Imap/ImapDialog.vala"
						if (e_source_has_extension (_data_->_tmp46_, E_SOURCE_EXTENSION_SECURITY)) {
#line 412 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp47_ = _data_->transport_source;
#line 412 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp48_ = e_source_get_extension (_data_->_tmp47_, E_SOURCE_EXTENSION_SECURITY);
#line 412 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->transport_security_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp48_, e_source_security_get_type (), ESourceSecurity);
#line 413 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp49_ = _data_->self->priv->smtp_encryption_combobox;
#line 413 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp50_ = _data_->transport_security_extension;
#line 413 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp51_ = e_source_security_get_method (_data_->_tmp50_);
#line 413 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp52_ = _data_->_tmp51_;
#line 413 "../src/Dialogs/Imap/ImapDialog.vala"
							gtk_combo_box_set_active_id ((GtkComboBox*) _data_->_tmp49_, _data_->_tmp52_);
#line 1174 "ImapDialog.c"
						}
#line 416 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp53_ = _data_->transport_source;
#line 416 "../src/Dialogs/Imap/ImapDialog.vala"
						if (e_source_has_extension (_data_->_tmp53_, E_SOURCE_EXTENSION_AUTHENTICATION)) {
#line 417 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp54_ = _data_->transport_source;
#line 417 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp55_ = e_source_get_extension (_data_->_tmp54_, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 417 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->transport_auth_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp55_, e_source_authentication_get_type (), ESourceAuthentication);
#line 419 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp56_ = _data_->self->priv->smtp_username_entry;
#line 419 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp57_ = _data_->transport_auth_extension;
#line 419 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp58_ = e_source_authentication_get_user (_data_->_tmp57_);
#line 419 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp59_ = _data_->_tmp58_;
#line 419 "../src/Dialogs/Imap/ImapDialog.vala"
							gtk_entry_set_text (_data_->_tmp56_, _data_->_tmp59_);
#line 420 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp60_ = _data_->self->priv->smtp_server_entry;
#line 420 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp61_ = _data_->transport_auth_extension;
#line 420 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp62_ = e_source_authentication_get_host (_data_->_tmp61_);
#line 420 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp63_ = _data_->_tmp62_;
#line 420 "../src/Dialogs/Imap/ImapDialog.vala"
							gtk_entry_set_text ((GtkEntry*) _data_->_tmp60_, _data_->_tmp63_);
#line 421 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp64_ = _data_->self->priv->smtp_port_spin;
#line 421 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp65_ = _data_->transport_auth_extension;
#line 421 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp66_ = e_source_authentication_get_port (_data_->_tmp65_);
#line 421 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp67_ = _data_->_tmp66_;
#line 421 "../src/Dialogs/Imap/ImapDialog.vala"
							gtk_spin_button_set_value (_data_->_tmp64_, (gdouble) _data_->_tmp67_);
#line 1216 "ImapDialog.c"
						}
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp68_ = _data_->credentials_provider;
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp69_ = _data_->transport_source;
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp70_ = NULL;
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
						e_source_credentials_provider_lookup_sync (_data_->_tmp68_, _data_->_tmp69_, NULL, &_data_->_tmp70_, &_data_->_inner_error0_);
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
						__vala_ENamedParameters_free0 (_data_->transport_credentials);
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->transport_credentials = _data_->_tmp70_;
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
						if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
							g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
							__vala_ENamedParameters_free0 (_data_->transport_credentials);
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
							_g_object_unref0 (_data_->transport_source);
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
							_g_object_unref0 (_data_->identity_source);
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
							__vala_ENamedParameters_free0 (_data_->account_credentials);
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
							_g_object_unref0 (_data_->credentials_provider);
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
							_g_object_unref0 (_data_->_tmp1_);
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
							g_object_unref (_data_->_async_result);
#line 425 "../src/Dialogs/Imap/ImapDialog.vala"
							return FALSE;
#line 1250 "ImapDialog.c"
						}
#line 427 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp71_ = _data_->transport_credentials;
#line 427 "../src/Dialogs/Imap/ImapDialog.vala"
						if (_data_->_tmp71_ == NULL) {
#line 428 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp72_ = _data_->self->priv->smtp_no_credentials;
#line 428 "../src/Dialogs/Imap/ImapDialog.vala"
							gtk_toggle_button_set_active ((GtkToggleButton*) _data_->_tmp72_, TRUE);
#line 1260 "ImapDialog.c"
						} else {
#line 430 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp74_ = _data_->account_credentials;
#line 430 "../src/Dialogs/Imap/ImapDialog.vala"
							if (_data_->_tmp74_ != NULL) {
#line 430 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp75_ = _data_->account_credentials;
#line 430 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp76_ = e_named_parameters_get (_data_->_tmp75_, E_SOURCE_CREDENTIAL_PASSWORD);
#line 430 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp77_ = _data_->transport_credentials;
#line 430 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp78_ = e_named_parameters_get (_data_->_tmp77_, E_SOURCE_CREDENTIAL_PASSWORD);
#line 430 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp73_ = g_strcmp0 (_data_->_tmp76_, _data_->_tmp78_) == 0;
#line 1276 "ImapDialog.c"
							} else {
#line 430 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp73_ = FALSE;
#line 1280 "ImapDialog.c"
							}
#line 430 "../src/Dialogs/Imap/ImapDialog.vala"
							if (_data_->_tmp73_) {
#line 431 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp79_ = _data_->self->priv->use_imap_credentials;
#line 431 "../src/Dialogs/Imap/ImapDialog.vala"
								gtk_toggle_button_set_active ((GtkToggleButton*) _data_->_tmp79_, TRUE);
#line 1288 "ImapDialog.c"
							} else {
#line 434 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp80_ = _data_->self->priv->use_imap_credentials;
#line 434 "../src/Dialogs/Imap/ImapDialog.vala"
								gtk_toggle_button_set_active ((GtkToggleButton*) _data_->_tmp80_, FALSE);
#line 435 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp81_ = _data_->self->priv->smtp_password_entry;
#line 435 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp82_ = _data_->transport_credentials;
#line 435 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp83_ = e_named_parameters_get (_data_->_tmp82_, E_SOURCE_CREDENTIAL_PASSWORD);
#line 435 "../src/Dialogs/Imap/ImapDialog.vala"
								gtk_entry_set_text (_data_->_tmp81_, _data_->_tmp83_);
#line 1302 "ImapDialog.c"
							}
						}
#line 410 "../src/Dialogs/Imap/ImapDialog.vala"
						__vala_ENamedParameters_free0 (_data_->transport_credentials);
#line 1307 "ImapDialog.c"
					}
#line 407 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->transport_source);
#line 1311 "ImapDialog.c"
				}
			}
		}
#line 390 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 1317 "ImapDialog.c"
	}
#line 445 "../src/Dialogs/Imap/ImapDialog.vala"
	if (e_source_has_extension (_data_->account_source, E_SOURCE_EXTENSION_SECURITY)) {
#line 446 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp84_ = e_source_get_extension (_data_->account_source, E_SOURCE_EXTENSION_SECURITY);
#line 446 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->account_security_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp84_, e_source_security_get_type (), ESourceSecurity);
#line 447 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp85_ = _data_->self->priv->imap_encryption_combobox;
#line 447 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp86_ = _data_->account_security_extension;
#line 447 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp87_ = e_source_security_get_method (_data_->_tmp86_);
#line 447 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp88_ = _data_->_tmp87_;
#line 447 "../src/Dialogs/Imap/ImapDialog.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _data_->_tmp85_, _data_->_tmp88_);
#line 1335 "ImapDialog.c"
	}
#line 450 "../src/Dialogs/Imap/ImapDialog.vala"
	if (e_source_has_extension (_data_->account_source, E_SOURCE_EXTENSION_AUTHENTICATION)) {
#line 451 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp89_ = e_source_get_extension (_data_->account_source, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 451 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->account_auth_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp89_, e_source_authentication_get_type (), ESourceAuthentication);
#line 452 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp90_ = _data_->self->priv->imap_username_entry;
#line 452 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp91_ = _data_->account_auth_extension;
#line 452 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp92_ = e_source_authentication_get_user (_data_->_tmp91_);
#line 452 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp93_ = _data_->_tmp92_;
#line 452 "../src/Dialogs/Imap/ImapDialog.vala"
		gtk_entry_set_text ((GtkEntry*) _data_->_tmp90_, _data_->_tmp93_);
#line 453 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp94_ = _data_->self->priv->imap_server_entry;
#line 453 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp95_ = _data_->account_auth_extension;
#line 453 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp96_ = e_source_authentication_get_host (_data_->_tmp95_);
#line 453 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp97_ = _data_->_tmp96_;
#line 453 "../src/Dialogs/Imap/ImapDialog.vala"
		gtk_entry_set_text ((GtkEntry*) _data_->_tmp94_, _data_->_tmp97_);
#line 454 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp98_ = _data_->self->priv->imap_port_spin;
#line 454 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp99_ = _data_->account_auth_extension;
#line 454 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp100_ = e_source_authentication_get_port (_data_->_tmp99_);
#line 454 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp101_ = _data_->_tmp100_;
#line 454 "../src/Dialogs/Imap/ImapDialog.vala"
		gtk_spin_button_set_value (_data_->_tmp98_, (gdouble) _data_->_tmp101_);
#line 1373 "ImapDialog.c"
	}
#line 457 "../src/Dialogs/Imap/ImapDialog.vala"
	if (e_source_has_extension (_data_->account_source, E_SOURCE_EXTENSION_REFRESH)) {
#line 458 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp102_ = e_source_get_extension (_data_->account_source, E_SOURCE_EXTENSION_REFRESH);
#line 458 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->refresh_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp102_, e_source_refresh_get_type (), ESourceRefresh);
#line 459 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp103_ = _data_->self->priv->imap_refresh_interval_spin;
#line 459 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp104_ = _data_->refresh_extension;
#line 459 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp105_ = e_source_refresh_get_interval_minutes (_data_->_tmp104_);
#line 459 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp106_ = _data_->_tmp105_;
#line 459 "../src/Dialogs/Imap/ImapDialog.vala"
		gtk_spin_button_set_value (_data_->_tmp103_, (gdouble) _data_->_tmp106_);
#line 1391 "ImapDialog.c"
	}
#line 462 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp107_ = e_source_get_display_name (_data_->account_source);
#line 462 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp108_ = _data_->_tmp107_;
#line 462 "../src/Dialogs/Imap/ImapDialog.vala"
	if (g_strcmp0 (_data_->_tmp108_, "") != 0) {
#line 465 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp109_ = _data_->self->priv->login_page;
#line 465 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp110_ = e_source_get_display_name (_data_->account_source);
#line 465 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp111_ = _data_->_tmp110_;
#line 465 "../src/Dialogs/Imap/ImapDialog.vala"
		online_accounts_imap_login_page_set_display_name (_data_->_tmp109_, _data_->_tmp111_);
#line 1407 "ImapDialog.c"
	}
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
	__vala_ENamedParameters_free0 (_data_->account_credentials);
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->credentials_provider);
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->_tmp1_);
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_state_ != 0) {
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1423 "ImapDialog.c"
		}
	}
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_unref (_data_->_async_result);
#line 369 "../src/Dialogs/Imap/ImapDialog.vala"
	return FALSE;
#line 1430 "ImapDialog.c"
}

static void
online_accounts_imap_dialog_save_configuration_data_free (gpointer _data)
{
	OnlineAccountsImapDialogSaveConfigurationData* _data_;
	_data_ = _data;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->self);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	g_slice_free (OnlineAccountsImapDialogSaveConfigurationData, _data_);
#line 1442 "ImapDialog.c"
}

static void
online_accounts_imap_dialog_save_configuration (OnlineAccountsImapDialog* self,
                                                GAsyncReadyCallback _callback_,
                                                gpointer _user_data_)
{
	OnlineAccountsImapDialogSaveConfigurationData* _data_;
	OnlineAccountsImapDialog* _tmp0_;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (self != NULL);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_ = g_slice_new0 (OnlineAccountsImapDialogSaveConfigurationData);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	g_task_set_task_data (_data_->_async_result, _data_, online_accounts_imap_dialog_save_configuration_data_free);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->self = _tmp0_;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	online_accounts_imap_dialog_save_configuration_co (_data_);
#line 1466 "ImapDialog.c"
}

static void
online_accounts_imap_dialog_save_configuration_finish (OnlineAccountsImapDialog* self,
                                                       GAsyncResult* _res_,
                                                       GError** error)
{
	OnlineAccountsImapDialogSaveConfigurationData* _data_;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), error);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	if (NULL == _data_) {
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
		return;
#line 1481 "ImapDialog.c"
	}
}

static void
online_accounts_imap_dialog_save_configuration_ready (GObject* source_object,
                                                      GAsyncResult* _res_,
                                                      gpointer _user_data_)
{
	OnlineAccountsImapDialogSaveConfigurationData* _data_;
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_ = _user_data_;
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_source_object_ = source_object;
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_res_ = _res_;
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
	online_accounts_imap_dialog_save_configuration_co (_data_);
#line 1499 "ImapDialog.c"
}

static gpointer
_g_error_copy0 (gpointer self)
{
#line 616 "../src/Dialogs/Imap/ImapDialog.vala"
	return self ? g_error_copy (self) : NULL;
#line 1507 "ImapDialog.c"
}

static gboolean
online_accounts_imap_dialog_save_configuration_co (OnlineAccountsImapDialogSaveConfigurationData* _data_)
{
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	switch (_data_->_state_) {
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 0:
#line 1517 "ImapDialog.c"
		goto _state_0;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 1:
#line 1521 "ImapDialog.c"
		goto _state_1;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 2:
#line 1525 "ImapDialog.c"
		goto _state_2;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 3:
#line 1529 "ImapDialog.c"
		goto _state_3;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 4:
#line 1533 "ImapDialog.c"
		goto _state_4;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 5:
#line 1537 "ImapDialog.c"
		goto _state_5;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 6:
#line 1541 "ImapDialog.c"
		goto _state_6;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 7:
#line 1545 "ImapDialog.c"
		goto _state_7;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 8:
#line 1549 "ImapDialog.c"
		goto _state_8;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 9:
#line 1553 "ImapDialog.c"
		goto _state_9;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 10:
#line 1557 "ImapDialog.c"
		goto _state_10;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 11:
#line 1561 "ImapDialog.c"
		goto _state_11;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 12:
#line 1565 "ImapDialog.c"
		goto _state_12;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 13:
#line 1569 "ImapDialog.c"
		goto _state_13;
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		case 14:
#line 1573 "ImapDialog.c"
		goto _state_14;
		default:
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		g_assert_not_reached ();
#line 1578 "ImapDialog.c"
	}
	_state_0:
#line 470 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp0_ = _data_->self->priv->registry;
#line 470 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_tmp0_ == NULL) {
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp2_ = _data_->self->priv->cancellable;
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_state_ = 1;
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
		e_source_registry_new (_data_->_tmp2_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 1593 "ImapDialog.c"
		_state_1:
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp3_ = e_source_registry_new_finish (_data_->_res_, &_data_->_inner_error0_);
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp1_ = _data_->_tmp3_;
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
			g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
			g_object_unref (_data_->_async_result);
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
			return FALSE;
#line 1607 "ImapDialog.c"
		}
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp4_ = _data_->_tmp1_;
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp1_ = NULL;
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->self->priv->registry);
#line 471 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->self->priv->registry = _data_->_tmp4_;
#line 470 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->_tmp1_);
#line 1619 "ImapDialog.c"
	}
#line 474 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp5_ = _data_->self->priv->cancellable;
#line 474 "../src/Dialogs/Imap/ImapDialog.vala"
	if (g_cancellable_is_cancelled (_data_->_tmp5_)) {
#line 475 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 475 "../src/Dialogs/Imap/ImapDialog.vala"
		if (_data_->_state_ != 0) {
#line 475 "../src/Dialogs/Imap/ImapDialog.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 475 "../src/Dialogs/Imap/ImapDialog.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1633 "ImapDialog.c"
			}
		}
#line 475 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 475 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 1640 "ImapDialog.c"
	}
#line 478 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->account_source = NULL;
#line 479 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->identity_source = NULL;
#line 480 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->transport_source = NULL;
#line 482 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp6_ = _data_->self->priv->source;
#line 482 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_tmp6_ != NULL) {
#line 483 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp7_ = _data_->self->priv->source;
#line 483 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp8_ = _g_object_ref0 (_data_->_tmp7_);
#line 483 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 483 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->account_source = _data_->_tmp8_;
#line 485 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp9_ = _data_->account_source;
#line 485 "../src/Dialogs/Imap/ImapDialog.vala"
		if (!e_source_has_extension (_data_->_tmp9_, E_SOURCE_EXTENSION_MAIL_ACCOUNT)) {
#line 486 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp10_ = _data_->account_source;
#line 486 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp11_ = e_source_get_extension (_data_->_tmp10_, E_SOURCE_EXTENSION_MAIL_ACCOUNT);
#line 486 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->account_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp11_, e_source_mail_account_get_type (), ESourceMailAccount);
#line 488 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp12_ = _data_->account_extension;
#line 488 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp13_ = e_source_mail_account_get_identity_uid (_data_->_tmp12_);
#line 488 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp14_ = _data_->_tmp13_;
#line 488 "../src/Dialogs/Imap/ImapDialog.vala"
			if (g_strcmp0 (_data_->_tmp14_, "") != 0) {
#line 489 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp15_ = _data_->self->priv->registry;
#line 489 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp16_ = _data_->account_extension;
#line 489 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp17_ = e_source_mail_account_get_identity_uid (_data_->_tmp16_);
#line 489 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp18_ = _data_->_tmp17_;
#line 489 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp19_ = e_source_registry_ref_source (_data_->_tmp15_, _data_->_tmp18_);
#line 489 "../src/Dialogs/Imap/ImapDialog.vala"
				_g_object_unref0 (_data_->identity_source);
#line 489 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->identity_source = _data_->_tmp19_;
#line 491 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp21_ = _data_->identity_source;
#line 491 "../src/Dialogs/Imap/ImapDialog.vala"
				if (_data_->_tmp21_ != NULL) {
#line 491 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp22_ = _data_->identity_source;
#line 491 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp20_ = e_source_has_extension (_data_->_tmp22_, E_SOURCE_EXTENSION_MAIL_SUBMISSION);
#line 1700 "ImapDialog.c"
				} else {
#line 491 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp20_ = FALSE;
#line 1704 "ImapDialog.c"
				}
#line 491 "../src/Dialogs/Imap/ImapDialog.vala"
				if (_data_->_tmp20_) {
#line 492 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp23_ = _data_->identity_source;
#line 492 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp24_ = e_source_get_extension (_data_->_tmp23_, E_SOURCE_EXTENSION_MAIL_SUBMISSION);
#line 492 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->submission_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp24_, e_source_mail_submission_get_type (), ESourceMailSubmission);
#line 494 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp25_ = _data_->submission_extension;
#line 494 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp26_ = e_source_mail_submission_get_transport_uid (_data_->_tmp25_);
#line 494 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp27_ = _data_->_tmp26_;
#line 494 "../src/Dialogs/Imap/ImapDialog.vala"
					if (g_strcmp0 (_data_->_tmp27_, "") != 0) {
#line 495 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp28_ = _data_->self->priv->registry;
#line 495 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp29_ = _data_->submission_extension;
#line 495 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp30_ = e_source_mail_submission_get_transport_uid (_data_->_tmp29_);
#line 495 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp31_ = _data_->_tmp30_;
#line 495 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp32_ = e_source_registry_ref_source (_data_->_tmp28_, _data_->_tmp31_);
#line 495 "../src/Dialogs/Imap/ImapDialog.vala"
						_g_object_unref0 (_data_->transport_source);
#line 495 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->transport_source = _data_->_tmp32_;
#line 1736 "ImapDialog.c"
					}
				}
			}
		}
	}
#line 502 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp33_ = _data_->account_source;
#line 502 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_tmp33_ == NULL) {
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp35_ = g_strdup ("");
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp36_ = NULL;
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp36_ = e_source_new (NULL, NULL, &_data_->_inner_error0_);
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
		e_source_set_parent (_data_->_tmp36_, _data_->_tmp35_);
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_free0 (_data_->_tmp35_);
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp34_ = _data_->_tmp36_;
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
			g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->transport_source);
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->identity_source);
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->account_source);
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
			g_object_unref (_data_->_async_result);
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
			return FALSE;
#line 1772 "ImapDialog.c"
		}
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp37_ = _data_->_tmp34_;
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp34_ = NULL;
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 503 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->account_source = _data_->_tmp37_;
#line 502 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->_tmp34_);
#line 1784 "ImapDialog.c"
	}
#line 508 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp38_ = _data_->identity_source;
#line 508 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_tmp38_ == NULL) {
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp40_ = _data_->account_source;
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp41_ = e_source_get_uid (_data_->_tmp40_);
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp42_ = _data_->_tmp41_;
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp43_ = g_strdup (_data_->_tmp42_);
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp44_ = NULL;
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp44_ = e_source_new (NULL, NULL, &_data_->_inner_error0_);
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		e_source_set_parent (_data_->_tmp44_, _data_->_tmp43_);
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_free0 (_data_->_tmp43_);
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp39_ = _data_->_tmp44_;
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
			g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->transport_source);
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->identity_source);
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->account_source);
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
			g_object_unref (_data_->_async_result);
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
			return FALSE;
#line 1822 "ImapDialog.c"
		}
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp45_ = _data_->_tmp39_;
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp39_ = NULL;
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 509 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->identity_source = _data_->_tmp45_;
#line 508 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->_tmp39_);
#line 1834 "ImapDialog.c"
	}
#line 514 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp46_ = _data_->transport_source;
#line 514 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_tmp46_ == NULL) {
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp48_ = _data_->account_source;
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp49_ = e_source_get_uid (_data_->_tmp48_);
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp50_ = _data_->_tmp49_;
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp51_ = g_strdup (_data_->_tmp50_);
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp52_ = NULL;
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp52_ = e_source_new (NULL, NULL, &_data_->_inner_error0_);
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		e_source_set_parent (_data_->_tmp52_, _data_->_tmp51_);
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_free0 (_data_->_tmp51_);
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp47_ = _data_->_tmp52_;
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
			g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->transport_source);
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->identity_source);
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->account_source);
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
			g_object_unref (_data_->_async_result);
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
			return FALSE;
#line 1872 "ImapDialog.c"
		}
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp53_ = _data_->_tmp47_;
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp47_ = NULL;
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 515 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->transport_source = _data_->_tmp53_;
#line 514 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->_tmp47_);
#line 1884 "ImapDialog.c"
	}
#line 520 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp54_ = _data_->account_source;
#line 520 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp55_ = _data_->identity_source;
#line 520 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp56_ = _data_->transport_source;
#line 520 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp57_ = _data_->self->priv->login_page;
#line 520 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp58_ = online_accounts_imap_login_page_get_display_name (_data_->_tmp57_);
#line 520 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp59_ = _data_->_tmp58_;
#line 520 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_set_display_name (_data_->_tmp56_, _data_->_tmp59_);
#line 520 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_set_display_name (_data_->_tmp55_, _data_->_tmp59_);
#line 520 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_set_display_name (_data_->_tmp54_, _data_->_tmp59_);
#line 525 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp60_ = _data_->account_source;
#line 525 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp61_ = e_source_get_extension (_data_->_tmp60_, E_SOURCE_EXTENSION_MAIL_ACCOUNT);
#line 525 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_vala1_account_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp61_, e_source_mail_account_get_type (), ESourceMailAccount);
#line 526 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp62_ = _data_->_vala1_account_extension;
#line 526 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp63_ = _data_->identity_source;
#line 526 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp64_ = e_source_get_uid (_data_->_tmp63_);
#line 526 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp65_ = _data_->_tmp64_;
#line 526 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_mail_account_set_identity_uid (_data_->_tmp62_, _data_->_tmp65_);
#line 527 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp66_ = _data_->_vala1_account_extension;
#line 527 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_mail_account_set_needs_initial_setup (_data_->_tmp66_, TRUE);
#line 528 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp67_ = _data_->_vala1_account_extension;
#line 528 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_backend_set_backend_name ((ESourceBackend*) _data_->_tmp67_, "imapx");
#line 530 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp68_ = _data_->account_source;
#line 530 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp69_ = e_source_get_extension (_data_->_tmp68_, E_SOURCE_EXTENSION_SECURITY);
#line 530 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->account_security_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp69_, e_source_security_get_type (), ESourceSecurity);
#line 531 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp70_ = _data_->account_security_extension;
#line 531 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp71_ = _data_->self->priv->imap_encryption_combobox;
#line 531 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp72_ = gtk_combo_box_get_active_id ((GtkComboBox*) _data_->_tmp71_);
#line 531 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp73_ = _data_->_tmp72_;
#line 531 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_security_set_method (_data_->_tmp70_, _data_->_tmp73_);
#line 533 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp74_ = _data_->account_source;
#line 533 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp75_ = e_source_get_extension (_data_->_tmp74_, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 533 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->account_auth_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp75_, e_source_authentication_get_type (), ESourceAuthentication);
#line 534 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp76_ = _data_->account_auth_extension;
#line 534 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp77_ = _data_->self->priv->imap_server_entry;
#line 534 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp78_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp77_);
#line 534 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp79_ = _data_->_tmp78_;
#line 534 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_authentication_set_host (_data_->_tmp76_, _data_->_tmp79_);
#line 535 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp80_ = _data_->account_auth_extension;
#line 535 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp81_ = _data_->self->priv->imap_port_spin;
#line 535 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp82_ = gtk_spin_button_get_value (_data_->_tmp81_);
#line 535 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp83_ = _data_->_tmp82_;
#line 535 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_authentication_set_port (_data_->_tmp80_, (guint) _data_->_tmp83_);
#line 536 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp84_ = _data_->account_auth_extension;
#line 536 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp85_ = _data_->self->priv->imap_username_entry;
#line 536 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp86_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp85_);
#line 536 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp87_ = _data_->_tmp86_;
#line 536 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_authentication_set_user (_data_->_tmp84_, _data_->_tmp87_);
#line 538 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp88_ = _data_->account_source;
#line 538 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp89_ = e_source_get_extension (_data_->_tmp88_, E_SOURCE_EXTENSION_REFRESH);
#line 538 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->refresh_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp89_, e_source_refresh_get_type (), ESourceRefresh);
#line 539 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp90_ = _data_->refresh_extension;
#line 539 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_refresh_set_enabled (_data_->_tmp90_, TRUE);
#line 540 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp91_ = _data_->refresh_extension;
#line 540 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp92_ = _data_->self->priv->imap_refresh_interval_spin;
#line 540 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp93_ = gtk_spin_button_get_value (_data_->_tmp92_);
#line 540 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp94_ = _data_->_tmp93_;
#line 540 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_refresh_set_interval_minutes (_data_->_tmp91_, (guint) _data_->_tmp94_);
#line 544 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp95_ = _data_->identity_source;
#line 544 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp96_ = e_source_get_extension (_data_->_tmp95_, E_SOURCE_EXTENSION_MAIL_SUBMISSION);
#line 544 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_vala1_submission_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp96_, e_source_mail_submission_get_type (), ESourceMailSubmission);
#line 545 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp97_ = _data_->_vala1_submission_extension;
#line 545 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp98_ = _data_->transport_source;
#line 545 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp99_ = e_source_get_uid (_data_->_tmp98_);
#line 545 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp100_ = _data_->_tmp99_;
#line 545 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_mail_submission_set_transport_uid (_data_->_tmp97_, _data_->_tmp100_);
#line 547 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp101_ = _data_->identity_source;
#line 547 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp102_ = e_source_get_extension (_data_->_tmp101_, E_SOURCE_EXTENSION_MAIL_IDENTITY);
#line 547 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->identity_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp102_, e_source_mail_identity_get_type (), ESourceMailIdentity);
#line 548 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp103_ = _data_->identity_extension;
#line 548 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp104_ = _data_->self->priv->login_page;
#line 548 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp105_ = online_accounts_imap_login_page_get_email (_data_->_tmp104_);
#line 548 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp106_ = _data_->_tmp105_;
#line 548 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_mail_identity_set_address (_data_->_tmp103_, _data_->_tmp106_);
#line 549 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp107_ = _data_->identity_extension;
#line 549 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp108_ = _data_->self->priv->login_page;
#line 549 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp109_ = online_accounts_imap_login_page_get_real_name (_data_->_tmp108_);
#line 549 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp110_ = _data_->_tmp109_;
#line 549 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_mail_identity_set_name (_data_->_tmp107_, _data_->_tmp110_);
#line 553 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp111_ = _data_->transport_source;
#line 553 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp112_ = e_source_get_extension (_data_->_tmp111_, E_SOURCE_EXTENSION_MAIL_TRANSPORT);
#line 553 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->transport_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp112_, e_source_mail_transport_get_type (), ESourceMailTransport);
#line 554 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp113_ = _data_->transport_extension;
#line 554 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_backend_set_backend_name ((ESourceBackend*) _data_->_tmp113_, "smtp");
#line 556 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp114_ = _data_->transport_source;
#line 556 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp115_ = e_source_get_extension (_data_->_tmp114_, E_SOURCE_EXTENSION_SECURITY);
#line 556 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->transport_security_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp115_, e_source_security_get_type (), ESourceSecurity);
#line 557 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp116_ = _data_->transport_security_extension;
#line 557 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp117_ = _data_->self->priv->smtp_encryption_combobox;
#line 557 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp118_ = gtk_combo_box_get_active_id ((GtkComboBox*) _data_->_tmp117_);
#line 557 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp119_ = _data_->_tmp118_;
#line 557 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_security_set_method (_data_->_tmp116_, _data_->_tmp119_);
#line 559 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp120_ = _data_->transport_source;
#line 559 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp121_ = e_source_get_extension (_data_->_tmp120_, E_SOURCE_EXTENSION_AUTHENTICATION);
#line 559 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->transport_auth_extension = G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp121_, e_source_authentication_get_type (), ESourceAuthentication);
#line 560 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp122_ = _data_->transport_auth_extension;
#line 560 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp123_ = _data_->self->priv->smtp_server_entry;
#line 560 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp124_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp123_);
#line 560 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp125_ = _data_->_tmp124_;
#line 560 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_authentication_set_host (_data_->_tmp122_, _data_->_tmp125_);
#line 561 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp126_ = _data_->transport_auth_extension;
#line 561 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp127_ = _data_->self->priv->smtp_port_spin;
#line 561 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp128_ = gtk_spin_button_get_value (_data_->_tmp127_);
#line 561 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp129_ = _data_->_tmp128_;
#line 561 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_authentication_set_port (_data_->_tmp126_, (guint) _data_->_tmp129_);
#line 562 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp130_ = _data_->self->priv->use_imap_credentials;
#line 562 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp131_ = gtk_toggle_button_get_active ((GtkToggleButton*) _data_->_tmp130_);
#line 562 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp132_ = _data_->_tmp131_;
#line 562 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_tmp132_) {
#line 563 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp133_ = _data_->transport_auth_extension;
#line 563 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp134_ = _data_->self->priv->imap_username_entry;
#line 563 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp135_ = gtk_entry_get_text ((GtkEntry*) _data_->_tmp134_);
#line 563 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp136_ = _data_->_tmp135_;
#line 563 "../src/Dialogs/Imap/ImapDialog.vala"
		e_source_authentication_set_user (_data_->_tmp133_, _data_->_tmp136_);
#line 2112 "ImapDialog.c"
	} else {
#line 565 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp137_ = _data_->transport_auth_extension;
#line 565 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp138_ = _data_->self->priv->smtp_username_entry;
#line 565 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp139_ = gtk_entry_get_text (_data_->_tmp138_);
#line 565 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp140_ = _data_->_tmp139_;
#line 565 "../src/Dialogs/Imap/ImapDialog.vala"
		e_source_authentication_set_user (_data_->_tmp137_, _data_->_tmp140_);
#line 2124 "ImapDialog.c"
	}
#line 569 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp141_ = online_accounts_camel_session_get_default ();
#line 569 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->session = _data_->_tmp141_;
#line 571 "../src/Dialogs/Imap/ImapDialog.vala"
	g_debug ("ImapDialog.vala:571: Add imap service for mail account extension");
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp142_ = _data_->session;
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp143_ = _data_->account_source;
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp144_ = e_source_get_uid (_data_->_tmp143_);
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp145_ = _data_->_tmp144_;
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp146_ = _data_->_vala1_account_extension;
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp147_ = e_source_backend_get_backend_name ((ESourceBackend*) _data_->_tmp146_);
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp148_ = _data_->_tmp147_;
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp149_ = camel_session_add_service ((CamelSession*) _data_->_tmp142_, _data_->_tmp145_, _data_->_tmp148_, CAMEL_PROVIDER_STORE, &_data_->_inner_error0_);
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->imap_service = _data_->_tmp149_;
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 572 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 2164 "ImapDialog.c"
	}
#line 573 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp150_ = _data_->imap_service;
#line 573 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp151_ = _data_->self->priv->login_page;
#line 573 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp152_ = online_accounts_imap_login_page_get_password (_data_->_tmp151_);
#line 573 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp153_ = _data_->_tmp152_;
#line 573 "../src/Dialogs/Imap/ImapDialog.vala"
	camel_service_set_password (_data_->_tmp150_, _data_->_tmp153_);
#line 574 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp154_ = _data_->account_source;
#line 574 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp155_ = _data_->imap_service;
#line 574 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_camel_configure_service (_data_->_tmp154_, _data_->_tmp155_);
#line 576 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp156_ = _data_->imap_service;
#line 576 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (_data_->_tmp156_, camel_network_service_get_type ())) {
#line 577 "../src/Dialogs/Imap/ImapDialog.vala"
		g_debug ("ImapDialog.vala:577: Test if we can reach the imap service…");
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp157_ = _data_->imap_service;
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp158_ = _data_->self->priv->cancellable;
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_state_ = 2;
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
		camel_network_service_can_reach (G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp157_, camel_network_service_get_type (), CamelNetworkService), _data_->_tmp158_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 2198 "ImapDialog.c"
		_state_2:
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
		camel_network_service_can_reach_finish (G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp157_, camel_network_service_get_type (), CamelNetworkService), _data_->_res_, &_data_->_inner_error0_);
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
			g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->imap_service);
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->transport_source);
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->identity_source);
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->account_source);
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
			g_object_unref (_data_->_async_result);
#line 578 "../src/Dialogs/Imap/ImapDialog.vala"
			return FALSE;
#line 2218 "ImapDialog.c"
		}
	}
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp159_ = _data_->imap_service;
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp160_ = _data_->self->priv->cancellable;
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_state_ = 3;
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
	camel_service_query_auth_types (_data_->_tmp159_, G_PRIORITY_DEFAULT, _data_->_tmp160_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
	return FALSE;
#line 2231 "ImapDialog.c"
	_state_3:
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp161_ = camel_service_query_auth_types_finish (_data_->_tmp159_, _data_->_res_, &_data_->_inner_error0_);
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->imap_auth_types = _data_->_tmp161_;
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_service);
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 581 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 2253 "ImapDialog.c"
	}
#line 582 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->imap_auth_error = NULL;
#line 583 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp162_ = _data_->imap_auth_types;
#line 2259 "ImapDialog.c"
	{
#line 583 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->imap_auth_type_collection = _data_->_tmp162_;
#line 583 "../src/Dialogs/Imap/ImapDialog.vala"
		for (_data_->imap_auth_type_it = _data_->imap_auth_type_collection; _data_->imap_auth_type_it != NULL; _data_->imap_auth_type_it = _data_->imap_auth_type_it->next) {
#line 583 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->imap_auth_type = (CamelServiceAuthType*) _data_->imap_auth_type_it->data;
#line 2267 "ImapDialog.c"
			{
#line 584 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp163_ = _data_->imap_auth_type;
#line 584 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp164_ = _data_->_tmp163_->name;
#line 584 "../src/Dialogs/Imap/ImapDialog.vala"
				g_debug ("ImapDialog.vala:584: Testing %s authentication for imap service…", _data_->_tmp164_);
#line 586 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp165_ = _data_->account_auth_extension;
#line 586 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp166_ = _data_->imap_auth_type;
#line 586 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp167_ = _data_->_tmp166_->authproto;
#line 586 "../src/Dialogs/Imap/ImapDialog.vala"
				e_source_authentication_set_method (_data_->_tmp165_, _data_->_tmp167_);
#line 587 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp168_ = _data_->account_source;
#line 587 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp169_ = _data_->imap_service;
#line 587 "../src/Dialogs/Imap/ImapDialog.vala"
				e_source_camel_configure_service (_data_->_tmp168_, _data_->_tmp169_);
#line 589 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp170_ = g_cancellable_new ();
#line 589 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->imap_auth_cancellable = _data_->_tmp170_;
#line 590 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp171_ = _data_->imap_auth_cancellable;
#line 590 "../src/Dialogs/Imap/ImapDialog.vala"
				online_accounts_imap_dialog_set_cancel_timeout (_data_->self, _data_->_tmp171_);
#line 2297 "ImapDialog.c"
				{
#line 593 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp172_ = _data_->imap_service;
#line 593 "../src/Dialogs/Imap/ImapDialog.vala"
					if (G_TYPE_CHECK_INSTANCE_TYPE (_data_->_tmp172_, camel_offline_store_get_type ())) {
#line 594 "../src/Dialogs/Imap/ImapDialog.vala"
						g_debug ("ImapDialog.vala:594: Setting the imap service online…");
#line 595 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp173_ = _data_->imap_service;
#line 595 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp174_ = _data_->imap_auth_cancellable;
#line 595 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_state_ = 4;
#line 595 "../src/Dialogs/Imap/ImapDialog.vala"
						camel_offline_store_set_online (G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp173_, camel_offline_store_get_type (), CamelOfflineStore), TRUE, G_PRIORITY_DEFAULT, _data_->_tmp174_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 595 "../src/Dialogs/Imap/ImapDialog.vala"
						return FALSE;
#line 2315 "ImapDialog.c"
						_state_4:
#line 595 "../src/Dialogs/Imap/ImapDialog.vala"
						camel_offline_store_set_online_finish (G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp173_, camel_offline_store_get_type (), CamelOfflineStore), _data_->_res_, &_data_->_inner_error0_);
#line 595 "../src/Dialogs/Imap/ImapDialog.vala"
						if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 2321 "ImapDialog.c"
							goto __catch0_g_error;
						}
					} else {
#line 597 "../src/Dialogs/Imap/ImapDialog.vala"
						g_debug ("ImapDialog.vala:597: Connecting to the imap service…");
#line 598 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp175_ = _data_->imap_service;
#line 598 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp176_ = _data_->imap_auth_cancellable;
#line 598 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_state_ = 5;
#line 598 "../src/Dialogs/Imap/ImapDialog.vala"
						camel_service_connect (_data_->_tmp175_, G_PRIORITY_DEFAULT, _data_->_tmp176_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 598 "../src/Dialogs/Imap/ImapDialog.vala"
						return FALSE;
#line 2337 "ImapDialog.c"
						_state_5:
#line 598 "../src/Dialogs/Imap/ImapDialog.vala"
						camel_service_connect_finish (_data_->_tmp175_, _data_->_res_, &_data_->_inner_error0_);
#line 598 "../src/Dialogs/Imap/ImapDialog.vala"
						if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 2343 "ImapDialog.c"
							goto __catch0_g_error;
						}
					}
#line 601 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp177_ = _data_->imap_auth_type;
#line 601 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp178_ = _data_->_tmp177_->name;
#line 601 "../src/Dialogs/Imap/ImapDialog.vala"
					g_debug ("ImapDialog.vala:601: Successfully connected to the imap service using " \
"%s authentication.", _data_->_tmp178_);
#line 602 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_error_free0 (_data_->imap_auth_error);
#line 602 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->imap_auth_error = NULL;
#line 603 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->imap_auth_cancellable);
#line 603 "../src/Dialogs/Imap/ImapDialog.vala"
					break;
#line 2361 "ImapDialog.c"
				}
				goto __finally0;
				__catch0_g_error:
				{
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->e = _data_->_inner_error0_;
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_inner_error0_ = NULL;
#line 606 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp179_ = _data_->imap_auth_type;
#line 606 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp180_ = _data_->_tmp179_->name;
#line 606 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp181_ = _data_->e;
#line 606 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp182_ = _data_->_tmp181_->message;
#line 606 "../src/Dialogs/Imap/ImapDialog.vala"
					g_debug ("ImapDialog.vala:606: Error using %s authentication for imap service: %" \
"s", _data_->_tmp180_, _data_->_tmp182_);
#line 608 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp183_ = _data_->e;
#line 608 "../src/Dialogs/Imap/ImapDialog.vala"
					if (g_error_matches (_data_->_tmp183_, G_IO_ERROR, G_IO_ERROR_CANCELLED)) {
#line 609 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp184_ = g_error_new (camel_service_error_quark (), CAMEL_SERVICE_ERROR_CANT_AUTHENTICATE, "%s", _ ("Could not log in. Please verify your credentials."));
#line 609 "../src/Dialogs/Imap/ImapDialog.vala"
						_g_error_free0 (_data_->imap_auth_error);
#line 609 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->imap_auth_error = _data_->_tmp184_;
#line 2390 "ImapDialog.c"
					} else {
#line 616 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp185_ = _data_->e;
#line 616 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp186_ = _g_error_copy0 (_data_->_tmp185_);
#line 616 "../src/Dialogs/Imap/ImapDialog.vala"
						_g_error_free0 (_data_->imap_auth_error);
#line 616 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->imap_auth_error = _data_->_tmp186_;
#line 2400 "ImapDialog.c"
					}
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_error_free0 (_data_->e);
#line 2404 "ImapDialog.c"
				}
				__finally0:
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
				if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->imap_auth_cancellable);
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_error_free0 (_data_->imap_auth_error);
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->imap_service);
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->transport_source);
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->identity_source);
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->account_source);
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					g_object_unref (_data_->_async_result);
#line 592 "../src/Dialogs/Imap/ImapDialog.vala"
					return FALSE;
#line 2429 "ImapDialog.c"
				}
#line 619 "../src/Dialogs/Imap/ImapDialog.vala"
				online_accounts_imap_dialog_unset_cancel_timeout (_data_->self);
#line 583 "../src/Dialogs/Imap/ImapDialog.vala"
				_g_object_unref0 (_data_->imap_auth_cancellable);
#line 2435 "ImapDialog.c"
			}
		}
	}
#line 622 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp187_ = _data_->imap_auth_error;
#line 622 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_tmp187_ != NULL) {
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp188_ = _data_->imap_auth_error;
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp189_ = _data_->_tmp188_->message;
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp190_ = g_strdup_printf (_ ("IMAP verification failed: %s"), _data_->_tmp189_);
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp191_ = _data_->_tmp190_;
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp192_ = g_error_new (camel_service_error_quark (), CAMEL_SERVICE_ERROR_CANT_AUTHENTICATE, "%s", _data_->_tmp191_);
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp193_ = _data_->_tmp192_;
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_free0 (_data_->_tmp191_);
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_inner_error0_ = _data_->_tmp193_;
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->imap_auth_error);
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_service);
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 623 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 2477 "ImapDialog.c"
	}
#line 630 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp194_ = _data_->imap_service;
#line 630 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (_data_->_tmp194_, camel_store_get_type ())) {
#line 631 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp195_ = _data_->imap_service;
#line 631 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp196_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp195_, camel_store_get_type (), CamelStore));
#line 631 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->imap_store = _data_->_tmp196_;
#line 2489 "ImapDialog.c"
		{
#line 635 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp197_ = _data_->imap_store;
#line 635 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp198_ = _data_->self->priv->cancellable;
#line 635 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp199_ = NULL;
#line 635 "../src/Dialogs/Imap/ImapDialog.vala"
			camel_store_initial_setup_sync (_data_->_tmp197_, &_data_->_tmp199_, _data_->_tmp198_, &_data_->_inner_error0_);
#line 635 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_hash_table_unref0 (_data_->save_setup);
#line 635 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->save_setup = _data_->_tmp199_;
#line 635 "../src/Dialogs/Imap/ImapDialog.vala"
			if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 635 "../src/Dialogs/Imap/ImapDialog.vala"
				_g_hash_table_unref0 (_data_->save_setup);
#line 2507 "ImapDialog.c"
				goto __catch1_g_error;
			}
#line 637 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp200_ = _data_->save_setup;
#line 637 "../src/Dialogs/Imap/ImapDialog.vala"
			if (_data_->_tmp200_ == NULL) {
#line 638 "../src/Dialogs/Imap/ImapDialog.vala"
				g_warning ("ImapDialog.vala:638: Initial setup is NULL. Well known folders will pr" \
"obably not work correctly.");
#line 2516 "ImapDialog.c"
			} else {
#line 655 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp201_ = _data_->account_source;
#line 655 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp202_ = e_source_get_uid (_data_->_tmp201_);
#line 655 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp203_ = _data_->_tmp202_;
#line 655 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp204_ = camel_url_encode (_data_->_tmp203_, ":;@/");
#line 655 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->encoded_account_uri = _data_->_tmp204_;
#line 657 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp205_ = _data_->save_setup;
#line 657 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp206_ = g_hash_table_get_keys (_data_->_tmp205_);
#line 2532 "ImapDialog.c"
				{
#line 657 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->key_collection = _data_->_tmp206_;
#line 657 "../src/Dialogs/Imap/ImapDialog.vala"
					for (_data_->key_it = _data_->key_collection; _data_->key_it != NULL; _data_->key_it = _data_->key_it->next) {
#line 657 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->key = (const gchar*) _data_->key_it->data;
#line 2540 "ImapDialog.c"
						{
#line 658 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp207_ = _data_->key;
#line 658 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp209_ = _data_->_tmp208_ = g_strsplit (_data_->_tmp207_, ":", 0);
#line 658 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->keys = _data_->_tmp209_;
#line 658 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->keys_length1 = _vala_array_length (_data_->_tmp208_);
#line 658 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_keys_size_ = _data_->keys_length1;
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp211_ = _data_->keys;
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->_tmp211__length1 = _data_->keys_length1;
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
							if (_data_->_tmp211__length1 < 3) {
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp210_ = TRUE;
#line 2560 "ImapDialog.c"
							} else {
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp212_ = _data_->keys;
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp212__length1 = _data_->keys_length1;
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp210_ = _data_->_tmp212__length1 > 4;
#line 2568 "ImapDialog.c"
							}
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
							if (_data_->_tmp210_) {
#line 661 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp213_ = _data_->keys;
#line 661 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp213__length1 = _data_->keys_length1;
#line 661 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp214_ = _data_->key;
#line 661 "../src/Dialogs/Imap/ImapDialog.vala"
								g_warning ("ImapDialog.vala:661: Incorrect store setup key. 3 or 4 parts expected," \
" but %d given in “%s”", _data_->_tmp213__length1, _data_->_tmp214_);
#line 662 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->keys = (_vala_array_free (_data_->keys, _data_->keys_length1, (GDestroyNotify) g_free), NULL);
#line 662 "../src/Dialogs/Imap/ImapDialog.vala"
								continue;
#line 2584 "ImapDialog.c"
							} else {
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
								static GQuark _tmp233_label0 = 0;
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
								static GQuark _tmp233_label1 = 0;
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
								static GQuark _tmp233_label2 = 0;
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
								static GQuark _tmp233_label3 = 0;
#line 665 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp215_ = _data_->keys;
#line 665 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp215__length1 = _data_->keys_length1;
#line 665 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp216_ = _data_->_tmp215_[0];
#line 665 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp217_ = g_strdup (_data_->_tmp216_);
#line 665 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->save_setup_source_type = _data_->_tmp217_;
#line 666 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp218_ = _data_->keys;
#line 666 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp218__length1 = _data_->keys_length1;
#line 666 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp219_ = _data_->_tmp218_[1];
#line 666 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp220_ = g_strdup (_data_->_tmp219_);
#line 666 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->save_setup_extension_name = _data_->_tmp220_;
#line 667 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp221_ = _data_->keys;
#line 667 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp221__length1 = _data_->keys_length1;
#line 667 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp222_ = _data_->_tmp221_[2];
#line 667 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp223_ = g_strdup (_data_->_tmp222_);
#line 667 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->save_setup_property_name = _data_->_tmp223_;
#line 668 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp224_ = _data_->keys;
#line 668 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp224__length1 = _data_->keys_length1;
#line 668 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp225_ = _data_->_tmp224_[3];
#line 668 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp226_ = g_strdup (_data_->_tmp225_);
#line 668 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->save_setup_property_type = _data_->_tmp226_;
#line 669 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp227_ = _data_->save_setup;
#line 669 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp228_ = _data_->key;
#line 669 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp229_ = g_hash_table_lookup (_data_->_tmp227_, _data_->_tmp228_);
#line 669 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp230_ = g_strdup ((const gchar*) _data_->_tmp229_);
#line 669 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->save_setup_property_value = _data_->_tmp230_;
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp231_ = _data_->save_setup_source_type;
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp234_ = 0U;
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp232_ = _data_->_tmp231_;
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
								_data_->_tmp234_ = (NULL == _data_->_tmp232_) ? 0 : g_quark_from_string (_data_->_tmp232_);
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
								if (_data_->_tmp234_ == ((0 != _tmp233_label0) ? _tmp233_label0 : (_tmp233_label0 = g_quark_from_static_string ("Account")))) {
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
									switch (0) {
#line 2656 "ImapDialog.c"
										default:
										{
#line 673 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp235_ = _data_->account_source;
#line 673 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp236_ = _data_->save_setup_extension_name;
#line 673 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp237_ = _data_->save_setup_property_name;
#line 673 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp238_ = _data_->save_setup_property_type;
#line 673 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp239_ = _data_->save_setup_property_value;
#line 673 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp240_ = _data_->encoded_account_uri;
#line 673 "../src/Dialogs/Imap/ImapDialog.vala"
											online_accounts_imap_dialog_save_initial_setup_key_for_source (_data_->self, _data_->_tmp235_, _data_->_tmp236_, _data_->_tmp237_, _data_->_tmp238_, _data_->_tmp239_, _data_->_tmp240_);
#line 681 "../src/Dialogs/Imap/ImapDialog.vala"
											break;
#line 2675 "ImapDialog.c"
										}
									}
								} else if (_data_->_tmp234_ == ((0 != _tmp233_label1) ? _tmp233_label1 : (_tmp233_label1 = g_quark_from_static_string ("Submission")))) {
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
									switch (0) {
#line 2681 "ImapDialog.c"
										default:
										{
#line 684 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp241_ = _data_->identity_source;
#line 684 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp242_ = _data_->save_setup_extension_name;
#line 684 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp243_ = _data_->save_setup_property_name;
#line 684 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp244_ = _data_->save_setup_property_type;
#line 684 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp245_ = _data_->save_setup_property_value;
#line 684 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp246_ = _data_->encoded_account_uri;
#line 684 "../src/Dialogs/Imap/ImapDialog.vala"
											online_accounts_imap_dialog_save_initial_setup_key_for_source (_data_->self, _data_->_tmp241_, _data_->_tmp242_, _data_->_tmp243_, _data_->_tmp244_, _data_->_tmp245_, _data_->_tmp246_);
#line 692 "../src/Dialogs/Imap/ImapDialog.vala"
											break;
#line 2700 "ImapDialog.c"
										}
									}
								} else if (_data_->_tmp234_ == ((0 != _tmp233_label2) ? _tmp233_label2 : (_tmp233_label2 = g_quark_from_static_string ("Transport")))) {
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
									switch (0) {
#line 2706 "ImapDialog.c"
										default:
										{
#line 695 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp247_ = _data_->transport_source;
#line 695 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp248_ = _data_->save_setup_extension_name;
#line 695 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp249_ = _data_->save_setup_property_name;
#line 695 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp250_ = _data_->save_setup_property_type;
#line 695 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp251_ = _data_->save_setup_property_value;
#line 695 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp252_ = _data_->encoded_account_uri;
#line 695 "../src/Dialogs/Imap/ImapDialog.vala"
											online_accounts_imap_dialog_save_initial_setup_key_for_source (_data_->self, _data_->_tmp247_, _data_->_tmp248_, _data_->_tmp249_, _data_->_tmp250_, _data_->_tmp251_, _data_->_tmp252_);
#line 703 "../src/Dialogs/Imap/ImapDialog.vala"
											break;
#line 2725 "ImapDialog.c"
										}
									}
								} else if (_data_->_tmp234_ == ((0 != _tmp233_label3) ? _tmp233_label3 : (_tmp233_label3 = g_quark_from_static_string ("Backend")))) {
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
									switch (0) {
#line 2731 "ImapDialog.c"
										default:
										{
#line 706 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp253_ = _data_->account_source;
#line 706 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp254_ = _data_->save_setup_extension_name;
#line 706 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp255_ = _data_->save_setup_property_name;
#line 706 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp256_ = _data_->save_setup_property_type;
#line 706 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp257_ = _data_->save_setup_property_value;
#line 706 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp258_ = _data_->encoded_account_uri;
#line 706 "../src/Dialogs/Imap/ImapDialog.vala"
											online_accounts_imap_dialog_save_initial_setup_key_for_source (_data_->self, _data_->_tmp253_, _data_->_tmp254_, _data_->_tmp255_, _data_->_tmp256_, _data_->_tmp257_, _data_->_tmp258_);
#line 714 "../src/Dialogs/Imap/ImapDialog.vala"
											break;
#line 2750 "ImapDialog.c"
										}
									}
								} else {
#line 671 "../src/Dialogs/Imap/ImapDialog.vala"
									switch (0) {
#line 2756 "ImapDialog.c"
										default:
										{
#line 717 "../src/Dialogs/Imap/ImapDialog.vala"
											_data_->_tmp259_ = _data_->key;
#line 717 "../src/Dialogs/Imap/ImapDialog.vala"
											g_warning ("ImapDialog.vala:717: Initial setup key is not stored: “%s”", _data_->_tmp259_);
#line 718 "../src/Dialogs/Imap/ImapDialog.vala"
											break;
#line 2765 "ImapDialog.c"
										}
									}
								}
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
								_g_free0 (_data_->save_setup_property_value);
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
								_g_free0 (_data_->save_setup_property_type);
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
								_g_free0 (_data_->save_setup_property_name);
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
								_g_free0 (_data_->save_setup_extension_name);
#line 660 "../src/Dialogs/Imap/ImapDialog.vala"
								_g_free0 (_data_->save_setup_source_type);
#line 2779 "ImapDialog.c"
							}
#line 657 "../src/Dialogs/Imap/ImapDialog.vala"
							_data_->keys = (_vala_array_free (_data_->keys, _data_->keys_length1, (GDestroyNotify) g_free), NULL);
#line 2783 "ImapDialog.c"
						}
					}
#line 657 "../src/Dialogs/Imap/ImapDialog.vala"
					(_data_->key_collection == NULL) ? NULL : (_data_->key_collection = (g_list_free (_data_->key_collection), NULL));
#line 2788 "ImapDialog.c"
				}
#line 723 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp260_ = _data_->_vala1_account_extension;
#line 723 "../src/Dialogs/Imap/ImapDialog.vala"
				e_source_mail_account_set_needs_initial_setup (_data_->_tmp260_, FALSE);
#line 637 "../src/Dialogs/Imap/ImapDialog.vala"
				_g_free0 (_data_->encoded_account_uri);
#line 2796 "ImapDialog.c"
			}
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_hash_table_unref0 (_data_->save_setup);
#line 2800 "ImapDialog.c"
		}
		goto __finally1;
		__catch1_g_error:
		{
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_vala1_e = _data_->_inner_error0_;
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_inner_error0_ = NULL;
#line 727 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp261_ = _data_->_vala1_e;
#line 727 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp262_ = _data_->_tmp261_->message;
#line 727 "../src/Dialogs/Imap/ImapDialog.vala"
			g_warning ("ImapDialog.vala:727: Incomplete setup. It is possible to use this e-ma" \
"il account, but well known folders most likely will not work as expect" \
"ed: %s", _data_->_tmp262_);
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_error_free0 (_data_->_vala1_e);
#line 2817 "ImapDialog.c"
		}
		__finally1:
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->imap_store);
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_error_free0 (_data_->imap_auth_error);
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->imap_service);
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->transport_source);
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->identity_source);
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->account_source);
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			g_object_unref (_data_->_async_result);
#line 633 "../src/Dialogs/Imap/ImapDialog.vala"
			return FALSE;
#line 2842 "ImapDialog.c"
		}
#line 630 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_store);
#line 2846 "ImapDialog.c"
	}
#line 731 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp263_ = _data_->self->priv->cancellable;
#line 731 "../src/Dialogs/Imap/ImapDialog.vala"
	if (g_cancellable_is_cancelled (_data_->_tmp263_)) {
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->imap_auth_error);
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_service);
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
		if (_data_->_state_ != 0) {
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 2872 "ImapDialog.c"
			}
		}
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 732 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 2879 "ImapDialog.c"
	}
#line 735 "../src/Dialogs/Imap/ImapDialog.vala"
	g_debug ("ImapDialog.vala:735: Add smtp service");
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp264_ = _data_->session;
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp265_ = _data_->transport_source;
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp266_ = e_source_get_uid (_data_->_tmp265_);
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp267_ = _data_->_tmp266_;
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp268_ = _data_->transport_extension;
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp269_ = e_source_backend_get_backend_name ((ESourceBackend*) _data_->_tmp268_);
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp270_ = _data_->_tmp269_;
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp271_ = camel_session_add_service ((CamelSession*) _data_->_tmp264_, _data_->_tmp267_, _data_->_tmp270_, CAMEL_PROVIDER_TRANSPORT, &_data_->_inner_error0_);
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->transport_service = _data_->_tmp271_;
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->imap_auth_error);
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_service);
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 736 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 2921 "ImapDialog.c"
	}
#line 737 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp272_ = _data_->transport_source;
#line 737 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp273_ = _data_->transport_service;
#line 737 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_camel_configure_service (_data_->_tmp272_, _data_->_tmp273_);
#line 739 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp274_ = _data_->self->priv->smtp_no_credentials;
#line 739 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp275_ = gtk_toggle_button_get_active ((GtkToggleButton*) _data_->_tmp274_);
#line 739 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp276_ = _data_->_tmp275_;
#line 739 "../src/Dialogs/Imap/ImapDialog.vala"
	if (!_data_->_tmp276_) {
#line 740 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp277_ = _data_->self->priv->use_imap_credentials;
#line 740 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp278_ = gtk_toggle_button_get_active ((GtkToggleButton*) _data_->_tmp277_);
#line 740 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp279_ = _data_->_tmp278_;
#line 740 "../src/Dialogs/Imap/ImapDialog.vala"
		if (_data_->_tmp279_) {
#line 741 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp280_ = _data_->transport_service;
#line 741 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp281_ = _data_->self->priv->login_page;
#line 741 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp282_ = online_accounts_imap_login_page_get_password (_data_->_tmp281_);
#line 741 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp283_ = _data_->_tmp282_;
#line 741 "../src/Dialogs/Imap/ImapDialog.vala"
			camel_service_set_password (_data_->_tmp280_, _data_->_tmp283_);
#line 2955 "ImapDialog.c"
		} else {
#line 743 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp284_ = _data_->transport_service;
#line 743 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp285_ = _data_->self->priv->smtp_password_entry;
#line 743 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp286_ = gtk_entry_get_text (_data_->_tmp285_);
#line 743 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->_tmp287_ = _data_->_tmp286_;
#line 743 "../src/Dialogs/Imap/ImapDialog.vala"
			camel_service_set_password (_data_->_tmp284_, _data_->_tmp287_);
#line 2967 "ImapDialog.c"
		}
	}
#line 747 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp288_ = _data_->transport_service;
#line 747 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (_data_->_tmp288_, camel_network_service_get_type ())) {
#line 748 "../src/Dialogs/Imap/ImapDialog.vala"
		g_debug ("ImapDialog.vala:748: Test if the smtp service can be reached…");
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp289_ = _data_->transport_service;
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp290_ = _data_->self->priv->cancellable;
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_state_ = 6;
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
		camel_network_service_can_reach (G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp289_, camel_network_service_get_type (), CamelNetworkService), _data_->_tmp290_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 2986 "ImapDialog.c"
		_state_6:
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
		camel_network_service_can_reach_finish (G_TYPE_CHECK_INSTANCE_CAST (_data_->_tmp289_, camel_network_service_get_type (), CamelNetworkService), _data_->_res_, &_data_->_inner_error0_);
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
			g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->transport_service);
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_error_free0 (_data_->imap_auth_error);
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
			(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->imap_service);
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->transport_source);
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->identity_source);
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->account_source);
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
			g_object_unref (_data_->_async_result);
#line 749 "../src/Dialogs/Imap/ImapDialog.vala"
			return FALSE;
#line 3012 "ImapDialog.c"
		}
	}
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp291_ = _data_->transport_service;
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp292_ = _data_->self->priv->cancellable;
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_state_ = 7;
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
	camel_service_query_auth_types (_data_->_tmp291_, G_PRIORITY_DEFAULT, _data_->_tmp292_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
	return FALSE;
#line 3025 "ImapDialog.c"
	_state_7:
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp293_ = camel_service_query_auth_types_finish (_data_->_tmp291_, _data_->_res_, &_data_->_inner_error0_);
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->smtp_auth_types = _data_->_tmp293_;
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_service);
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->imap_auth_error);
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_service);
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 752 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 3053 "ImapDialog.c"
	}
#line 753 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->smtp_auth_error = NULL;
#line 754 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp294_ = _data_->smtp_auth_types;
#line 3059 "ImapDialog.c"
	{
#line 754 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->smtp_auth_type_collection = _data_->_tmp294_;
#line 754 "../src/Dialogs/Imap/ImapDialog.vala"
		for (_data_->smtp_auth_type_it = _data_->smtp_auth_type_collection; _data_->smtp_auth_type_it != NULL; _data_->smtp_auth_type_it = _data_->smtp_auth_type_it->next) {
#line 754 "../src/Dialogs/Imap/ImapDialog.vala"
			_data_->smtp_auth_type = (CamelServiceAuthType*) _data_->smtp_auth_type_it->data;
#line 3067 "ImapDialog.c"
			{
#line 755 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp295_ = _data_->smtp_auth_type;
#line 755 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp296_ = _data_->_tmp295_->name;
#line 755 "../src/Dialogs/Imap/ImapDialog.vala"
				g_debug ("ImapDialog.vala:755: Testing %s authentication for smtp service…", _data_->_tmp296_);
#line 757 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp297_ = _data_->transport_auth_extension;
#line 757 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp298_ = _data_->smtp_auth_type;
#line 757 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp299_ = _data_->_tmp298_->authproto;
#line 757 "../src/Dialogs/Imap/ImapDialog.vala"
				e_source_authentication_set_method (_data_->_tmp297_, _data_->_tmp299_);
#line 758 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp300_ = _data_->transport_source;
#line 758 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp301_ = _data_->transport_service;
#line 758 "../src/Dialogs/Imap/ImapDialog.vala"
				e_source_camel_configure_service (_data_->_tmp300_, _data_->_tmp301_);
#line 760 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp302_ = g_cancellable_new ();
#line 760 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->smtp_auth_cancellable = _data_->_tmp302_;
#line 761 "../src/Dialogs/Imap/ImapDialog.vala"
				_data_->_tmp303_ = _data_->smtp_auth_cancellable;
#line 761 "../src/Dialogs/Imap/ImapDialog.vala"
				online_accounts_imap_dialog_set_cancel_timeout (_data_->self, _data_->_tmp303_);
#line 3097 "ImapDialog.c"
				{
#line 764 "../src/Dialogs/Imap/ImapDialog.vala"
					g_debug ("ImapDialog.vala:764: Connecting to the smtp service…");
#line 765 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp304_ = _data_->transport_service;
#line 765 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp305_ = _data_->smtp_auth_cancellable;
#line 765 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_state_ = 8;
#line 765 "../src/Dialogs/Imap/ImapDialog.vala"
					camel_service_connect (_data_->_tmp304_, G_PRIORITY_DEFAULT, _data_->_tmp305_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 765 "../src/Dialogs/Imap/ImapDialog.vala"
					return FALSE;
#line 3111 "ImapDialog.c"
					_state_8:
#line 765 "../src/Dialogs/Imap/ImapDialog.vala"
					camel_service_connect_finish (_data_->_tmp304_, _data_->_res_, &_data_->_inner_error0_);
#line 765 "../src/Dialogs/Imap/ImapDialog.vala"
					if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 3117 "ImapDialog.c"
						goto __catch2_g_error;
					}
#line 767 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp306_ = _data_->smtp_auth_type;
#line 767 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp307_ = _data_->_tmp306_->name;
#line 767 "../src/Dialogs/Imap/ImapDialog.vala"
					g_debug ("ImapDialog.vala:767: Successfully connected to the smtp service using " \
"%s authentication.", _data_->_tmp307_);
#line 768 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_error_free0 (_data_->smtp_auth_error);
#line 768 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->smtp_auth_error = NULL;
#line 769 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->smtp_auth_cancellable);
#line 769 "../src/Dialogs/Imap/ImapDialog.vala"
					break;
#line 3134 "ImapDialog.c"
				}
				goto __finally2;
				__catch2_g_error:
				{
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_vala2_e = _data_->_inner_error0_;
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_inner_error0_ = NULL;
#line 772 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp308_ = _data_->smtp_auth_type;
#line 772 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp309_ = _data_->_tmp308_->name;
#line 772 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp310_ = _data_->_vala2_e;
#line 772 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp311_ = _data_->_tmp310_->message;
#line 772 "../src/Dialogs/Imap/ImapDialog.vala"
					g_debug ("ImapDialog.vala:772: Error using %s authentication for smtp service: %" \
"s", _data_->_tmp309_, _data_->_tmp311_);
#line 774 "../src/Dialogs/Imap/ImapDialog.vala"
					_data_->_tmp312_ = _data_->_vala2_e;
#line 774 "../src/Dialogs/Imap/ImapDialog.vala"
					if (g_error_matches (_data_->_tmp312_, G_IO_ERROR, G_IO_ERROR_CANCELLED)) {
#line 775 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp313_ = g_error_new (camel_service_error_quark (), CAMEL_SERVICE_ERROR_CANT_AUTHENTICATE, "Could not log in. Please verify your credentials.");
#line 775 "../src/Dialogs/Imap/ImapDialog.vala"
						_g_error_free0 (_data_->smtp_auth_error);
#line 775 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->smtp_auth_error = _data_->_tmp313_;
#line 3163 "ImapDialog.c"
					} else {
#line 782 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp314_ = _data_->_vala2_e;
#line 782 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->_tmp315_ = _g_error_copy0 (_data_->_tmp314_);
#line 782 "../src/Dialogs/Imap/ImapDialog.vala"
						_g_error_free0 (_data_->smtp_auth_error);
#line 782 "../src/Dialogs/Imap/ImapDialog.vala"
						_data_->smtp_auth_error = _data_->_tmp315_;
#line 3173 "ImapDialog.c"
					}
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_error_free0 (_data_->_vala2_e);
#line 3177 "ImapDialog.c"
				}
				__finally2:
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
				if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->smtp_auth_cancellable);
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_error_free0 (_data_->smtp_auth_error);
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					(_data_->smtp_auth_types == NULL) ? NULL : (_data_->smtp_auth_types = (g_list_free (_data_->smtp_auth_types), NULL));
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->transport_service);
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_error_free0 (_data_->imap_auth_error);
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->imap_service);
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->transport_source);
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->identity_source);
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_object_unref0 (_data_->account_source);
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					g_object_unref (_data_->_async_result);
#line 763 "../src/Dialogs/Imap/ImapDialog.vala"
					return FALSE;
#line 3208 "ImapDialog.c"
				}
#line 785 "../src/Dialogs/Imap/ImapDialog.vala"
				online_accounts_imap_dialog_unset_cancel_timeout (_data_->self);
#line 754 "../src/Dialogs/Imap/ImapDialog.vala"
				_g_object_unref0 (_data_->smtp_auth_cancellable);
#line 3214 "ImapDialog.c"
			}
		}
	}
#line 788 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp316_ = _data_->smtp_auth_error;
#line 788 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_tmp316_ != NULL) {
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp317_ = _data_->smtp_auth_error;
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp318_ = _data_->_tmp317_->message;
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp319_ = g_strdup_printf ("SMTP verification failed: %s", _data_->_tmp318_);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp320_ = _data_->_tmp319_;
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp321_ = g_error_new (camel_service_error_quark (), CAMEL_SERVICE_ERROR_CANT_AUTHENTICATE, "%s", _data_->_tmp320_);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp322_ = _data_->_tmp321_;
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_free0 (_data_->_tmp320_);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_inner_error0_ = _data_->_tmp322_;
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->smtp_auth_error);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->smtp_auth_types == NULL) ? NULL : (_data_->smtp_auth_types = (g_list_free (_data_->smtp_auth_types), NULL));
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_service);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->imap_auth_error);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_service);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 789 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 3262 "ImapDialog.c"
	}
#line 796 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp323_ = _data_->self->priv->cancellable;
#line 796 "../src/Dialogs/Imap/ImapDialog.vala"
	if (g_cancellable_is_cancelled (_data_->_tmp323_)) {
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->smtp_auth_error);
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->smtp_auth_types == NULL) ? NULL : (_data_->smtp_auth_types = (g_list_free (_data_->smtp_auth_types), NULL));
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_service);
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->imap_auth_error);
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_service);
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		if (_data_->_state_ != 0) {
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
			while (!g_task_get_completed (_data_->_async_result)) {
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
				g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3294 "ImapDialog.c"
			}
		}
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 797 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 3301 "ImapDialog.c"
	}
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp324_ = _data_->account_source;
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp325_ = _data_->self->priv->login_page;
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp326_ = online_accounts_imap_login_page_get_password (_data_->_tmp325_);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp327_ = _data_->_tmp326_;
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp328_ = _data_->self->priv->cancellable;
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_state_ = 9;
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_store_password (_data_->_tmp324_, _data_->_tmp327_, TRUE, _data_->_tmp328_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
	return FALSE;
#line 3319 "ImapDialog.c"
	_state_9:
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_store_password_finish (_data_->_tmp324_, _data_->_res_, &_data_->_inner_error0_);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->smtp_auth_error);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->smtp_auth_types == NULL) ? NULL : (_data_->smtp_auth_types = (g_list_free (_data_->smtp_auth_types), NULL));
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_service);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->imap_auth_error);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_service);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 801 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 3349 "ImapDialog.c"
	}
#line 803 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp329_ = _data_->self->priv->use_imap_credentials;
#line 803 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp330_ = gtk_toggle_button_get_active ((GtkToggleButton*) _data_->_tmp329_);
#line 803 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp331_ = _data_->_tmp330_;
#line 803 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_tmp331_) {
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp332_ = _data_->transport_source;
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp333_ = _data_->self->priv->login_page;
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp334_ = online_accounts_imap_login_page_get_password (_data_->_tmp333_);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp335_ = _data_->_tmp334_;
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp336_ = _data_->self->priv->cancellable;
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_state_ = 10;
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
		e_source_store_password (_data_->_tmp332_, _data_->_tmp335_, TRUE, _data_->_tmp336_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 3375 "ImapDialog.c"
		_state_10:
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
		e_source_store_password_finish (_data_->_tmp332_, _data_->_res_, &_data_->_inner_error0_);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_error_free0 (_data_->smtp_auth_error);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			(_data_->smtp_auth_types == NULL) ? NULL : (_data_->smtp_auth_types = (g_list_free (_data_->smtp_auth_types), NULL));
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->transport_service);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_error_free0 (_data_->imap_auth_error);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->imap_service);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->transport_source);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->identity_source);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->account_source);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			g_object_unref (_data_->_async_result);
#line 804 "../src/Dialogs/Imap/ImapDialog.vala"
			return FALSE;
#line 3405 "ImapDialog.c"
		}
	} else {
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp337_ = _data_->transport_source;
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp338_ = _data_->self->priv->smtp_password_entry;
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp339_ = gtk_entry_get_text (_data_->_tmp338_);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp340_ = _data_->_tmp339_;
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_tmp341_ = _data_->self->priv->cancellable;
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
		_data_->_state_ = 11;
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
		e_source_store_password (_data_->_tmp337_, _data_->_tmp340_, TRUE, _data_->_tmp341_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 3424 "ImapDialog.c"
		_state_11:
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
		e_source_store_password_finish (_data_->_tmp337_, _data_->_res_, &_data_->_inner_error0_);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_error_free0 (_data_->smtp_auth_error);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			(_data_->smtp_auth_types == NULL) ? NULL : (_data_->smtp_auth_types = (g_list_free (_data_->smtp_auth_types), NULL));
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->transport_service);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_error_free0 (_data_->imap_auth_error);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->imap_service);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->transport_source);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->identity_source);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_object_unref0 (_data_->account_source);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			g_object_unref (_data_->_async_result);
#line 806 "../src/Dialogs/Imap/ImapDialog.vala"
			return FALSE;
#line 3454 "ImapDialog.c"
		}
	}
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp342_ = _data_->self->priv->registry;
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp343_ = _data_->account_source;
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp344_ = _data_->self->priv->cancellable;
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_state_ = 12;
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_registry_commit_source (_data_->_tmp342_, _data_->_tmp343_, _data_->_tmp344_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
	return FALSE;
#line 3469 "ImapDialog.c"
	_state_12:
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_registry_commit_source_finish (_data_->_tmp342_, _data_->_res_, &_data_->_inner_error0_);
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->smtp_auth_error);
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->smtp_auth_types == NULL) ? NULL : (_data_->smtp_auth_types = (g_list_free (_data_->smtp_auth_types), NULL));
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_service);
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->imap_auth_error);
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_service);
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 810 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 3499 "ImapDialog.c"
	}
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp345_ = _data_->self->priv->registry;
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp346_ = _data_->identity_source;
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp347_ = _data_->self->priv->cancellable;
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_state_ = 13;
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_registry_commit_source (_data_->_tmp345_, _data_->_tmp346_, _data_->_tmp347_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
	return FALSE;
#line 3513 "ImapDialog.c"
	_state_13:
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_registry_commit_source_finish (_data_->_tmp345_, _data_->_res_, &_data_->_inner_error0_);
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->smtp_auth_error);
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->smtp_auth_types == NULL) ? NULL : (_data_->smtp_auth_types = (g_list_free (_data_->smtp_auth_types), NULL));
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_service);
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->imap_auth_error);
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_service);
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 811 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 3543 "ImapDialog.c"
	}
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp348_ = _data_->self->priv->registry;
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp349_ = _data_->transport_source;
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_tmp350_ = _data_->self->priv->cancellable;
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
	_data_->_state_ = 14;
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_registry_commit_source (_data_->_tmp348_, _data_->_tmp349_, _data_->_tmp350_, online_accounts_imap_dialog_save_configuration_ready, _data_);
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
	return FALSE;
#line 3557 "ImapDialog.c"
	_state_14:
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
	e_source_registry_commit_source_finish (_data_->_tmp348_, _data_->_res_, &_data_->_inner_error0_);
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->smtp_auth_error);
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->smtp_auth_types == NULL) ? NULL : (_data_->smtp_auth_types = (g_list_free (_data_->smtp_auth_types), NULL));
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_service);
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (_data_->imap_auth_error);
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->imap_service);
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->transport_source);
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->identity_source);
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data_->account_source);
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		g_object_unref (_data_->_async_result);
#line 812 "../src/Dialogs/Imap/ImapDialog.vala"
		return FALSE;
#line 3587 "ImapDialog.c"
	}
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_error_free0 (_data_->smtp_auth_error);
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	(_data_->smtp_auth_types == NULL) ? NULL : (_data_->smtp_auth_types = (g_list_free (_data_->smtp_auth_types), NULL));
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->transport_service);
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_error_free0 (_data_->imap_auth_error);
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	(_data_->imap_auth_types == NULL) ? NULL : (_data_->imap_auth_types = (g_list_free (_data_->imap_auth_types), NULL));
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->imap_service);
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->transport_source);
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->identity_source);
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data_->account_source);
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_data_->_state_ != 0) {
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3615 "ImapDialog.c"
		}
	}
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_unref (_data_->_async_result);
#line 469 "../src/Dialogs/Imap/ImapDialog.vala"
	return FALSE;
#line 3622 "ImapDialog.c"
}

static Block6Data*
block6_data_ref (Block6Data* _data6_)
{
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	g_atomic_int_inc (&_data6_->_ref_count_);
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	return _data6_;
#line 3632 "ImapDialog.c"
}

static void
block6_data_unref (void * _userdata_)
{
	Block6Data* _data6_;
	_data6_ = (Block6Data*) _userdata_;
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	if (g_atomic_int_dec_and_test (&_data6_->_ref_count_)) {
#line 3642 "ImapDialog.c"
		OnlineAccountsImapDialog* self;
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
		self = _data6_->self;
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data6_->cancellable);
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (self);
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
		g_slice_free (Block6Data, _data6_);
#line 3652 "ImapDialog.c"
	}
}

static gboolean
__lambda26_ (Block6Data* _data6_)
{
	OnlineAccountsImapDialog* self;
	gboolean result;
#line 817 "../src/Dialogs/Imap/ImapDialog.vala"
	self = _data6_->self;
#line 818 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->cancel_timeout_id = (guint) 0;
#line 819 "../src/Dialogs/Imap/ImapDialog.vala"
	g_cancellable_cancel (_data6_->cancellable);
#line 820 "../src/Dialogs/Imap/ImapDialog.vala"
	result = G_SOURCE_REMOVE;
#line 820 "../src/Dialogs/Imap/ImapDialog.vala"
	return result;
#line 3671 "ImapDialog.c"
}

static gboolean
___lambda26__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda26_ (self);
#line 817 "../src/Dialogs/Imap/ImapDialog.vala"
	return result;
#line 3681 "ImapDialog.c"
}

static void
online_accounts_imap_dialog_set_cancel_timeout (OnlineAccountsImapDialog* self,
                                                GCancellable* cancellable)
{
	Block6Data* _data6_;
	GCancellable* _tmp0_;
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (self != NULL);
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (cancellable != NULL);
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	_data6_ = g_slice_new0 (Block6Data);
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	_data6_->_ref_count_ = 1;
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	_data6_->self = g_object_ref (self);
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = _g_object_ref0 (cancellable);
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (_data6_->cancellable);
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	_data6_->cancellable = _tmp0_;
#line 817 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->cancel_timeout_id = g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 4000, ___lambda26__gsource_func, block6_data_ref (_data6_), block6_data_unref);
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	block6_data_unref (_data6_);
#line 816 "../src/Dialogs/Imap/ImapDialog.vala"
	_data6_ = NULL;
#line 3712 "ImapDialog.c"
}

static void
online_accounts_imap_dialog_unset_cancel_timeout (OnlineAccountsImapDialog* self)
{
#line 824 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (self != NULL);
#line 825 "../src/Dialogs/Imap/ImapDialog.vala"
	if (self->priv->cancel_timeout_id != ((guint) 0)) {
#line 826 "../src/Dialogs/Imap/ImapDialog.vala"
		g_source_remove (self->priv->cancel_timeout_id);
#line 3724 "ImapDialog.c"
	}
}

static gboolean
bool_parse (const gchar* str)
{
	gboolean result;
#line 44 "glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, FALSE);
#line 45 "glib-2.0.vapi"
	if (g_strcmp0 (str, "true") == 0) {
#line 46 "glib-2.0.vapi"
		result = TRUE;
#line 46 "glib-2.0.vapi"
		return result;
#line 3740 "ImapDialog.c"
	} else {
#line 48 "glib-2.0.vapi"
		result = FALSE;
#line 48 "glib-2.0.vapi"
		return result;
#line 3746 "ImapDialog.c"
	}
}

static gchar
string_get (const gchar* self,
            glong index)
{
	gchar _tmp0_;
	gchar result;
#line 1240 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, '\0');
#line 1241 "glib-2.0.vapi"
	_tmp0_ = ((gchar*) self)[index];
#line 1241 "glib-2.0.vapi"
	result = _tmp0_;
#line 1241 "glib-2.0.vapi"
	return result;
#line 3764 "ImapDialog.c"
}

static gint
string_index_of_nth_char (const gchar* self,
                          glong c)
{
	gchar* _tmp0_;
	gint result;
#line 1290 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 1291 "glib-2.0.vapi"
	_tmp0_ = g_utf8_offset_to_pointer (self, c);
#line 1291 "glib-2.0.vapi"
	result = (gint) (_tmp0_ - ((gchar*) self));
#line 1291 "glib-2.0.vapi"
	return result;
#line 3781 "ImapDialog.c"
}

static glong
string_strnlen (gchar* str,
                glong maxlen)
{
	gchar* end = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	glong result;
#line 1458 "glib-2.0.vapi"
	_tmp0_ = memchr (str, 0, (gsize) maxlen);
#line 1458 "glib-2.0.vapi"
	end = _tmp0_;
#line 1459 "glib-2.0.vapi"
	_tmp1_ = end;
#line 1459 "glib-2.0.vapi"
	if (_tmp1_ == NULL) {
#line 1460 "glib-2.0.vapi"
		result = maxlen;
#line 1460 "glib-2.0.vapi"
		return result;
#line 3804 "ImapDialog.c"
	} else {
		gchar* _tmp2_;
#line 1462 "glib-2.0.vapi"
		_tmp2_ = end;
#line 1462 "glib-2.0.vapi"
		result = (glong) (_tmp2_ - str);
#line 1462 "glib-2.0.vapi"
		return result;
#line 3813 "ImapDialog.c"
	}
}

static gchar*
string_substring (const gchar* self,
                  glong offset,
                  glong len)
{
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	gchar* _tmp3_;
	gchar* result;
#line 1469 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1471 "glib-2.0.vapi"
	if (offset >= ((glong) 0)) {
#line 1471 "glib-2.0.vapi"
		_tmp0_ = len >= ((glong) 0);
#line 3832 "ImapDialog.c"
	} else {
#line 1471 "glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 3836 "ImapDialog.c"
	}
#line 1471 "glib-2.0.vapi"
	if (_tmp0_) {
#line 1473 "glib-2.0.vapi"
		string_length = string_strnlen ((gchar*) self, offset + len);
#line 3842 "ImapDialog.c"
	} else {
		gint _tmp1_;
		gint _tmp2_;
#line 1475 "glib-2.0.vapi"
		_tmp1_ = strlen (self);
#line 1475 "glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1475 "glib-2.0.vapi"
		string_length = (glong) _tmp2_;
#line 3852 "ImapDialog.c"
	}
#line 1478 "glib-2.0.vapi"
	if (offset < ((glong) 0)) {
#line 1479 "glib-2.0.vapi"
		offset = string_length + offset;
#line 1480 "glib-2.0.vapi"
		g_return_val_if_fail (offset >= ((glong) 0), NULL);
#line 3860 "ImapDialog.c"
	} else {
#line 1482 "glib-2.0.vapi"
		g_return_val_if_fail (offset <= string_length, NULL);
#line 3864 "ImapDialog.c"
	}
#line 1484 "glib-2.0.vapi"
	if (len < ((glong) 0)) {
#line 1485 "glib-2.0.vapi"
		len = string_length - offset;
#line 3870 "ImapDialog.c"
	}
#line 1487 "glib-2.0.vapi"
	g_return_val_if_fail ((offset + len) <= string_length, NULL);
#line 1488 "glib-2.0.vapi"
	_tmp3_ = g_strndup (((gchar*) self) + offset, (gsize) len);
#line 1488 "glib-2.0.vapi"
	result = _tmp3_;
#line 1488 "glib-2.0.vapi"
	return result;
#line 3880 "ImapDialog.c"
}

static void
online_accounts_imap_dialog_save_initial_setup_key_for_source (OnlineAccountsImapDialog* self,
                                                               ESource* source,
                                                               const gchar* extension_name,
                                                               const gchar* property_name,
                                                               const gchar* property_type,
                                                               const gchar* val,
                                                               const gchar* encoded_account_uri)
{
	ESourceExtension* extension = NULL;
	ESourceExtension* _tmp0_;
	ESourceExtension* _tmp1_;
	const gchar* _tmp4_;
	GQuark _tmp6_ = 0U;
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
	static GQuark _tmp5_label0 = 0;
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
	static GQuark _tmp5_label1 = 0;
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
	static GQuark _tmp5_label2 = 0;
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
	static GQuark _tmp5_label3 = 0;
#line 830 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (self != NULL);
#line 830 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (source != NULL);
#line 830 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (extension_name != NULL);
#line 830 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (property_name != NULL);
#line 830 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (val != NULL);
#line 830 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (encoded_account_uri != NULL);
#line 831 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = e_source_get_extension (source, extension_name);
#line 831 "../src/Dialogs/Imap/ImapDialog.vala"
	extension = _tmp0_;
#line 832 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = extension;
#line 832 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_tmp1_ == NULL) {
#line 3925 "ImapDialog.c"
		const gchar* _tmp2_;
		const gchar* _tmp3_;
#line 833 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp2_ = e_source_get_display_name (source);
#line 833 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp3_ = _tmp2_;
#line 833 "../src/Dialogs/Imap/ImapDialog.vala"
		g_warning ("ImapDialog.vala:833: Extension '%s' not found for source '%s'", extension_name, _tmp3_);
#line 834 "../src/Dialogs/Imap/ImapDialog.vala"
		return;
#line 3936 "ImapDialog.c"
	}
#line 837 "../src/Dialogs/Imap/ImapDialog.vala"
	if (property_type == NULL) {
#line 838 "../src/Dialogs/Imap/ImapDialog.vala"
		property_type = "s";
#line 3942 "ImapDialog.c"
	}
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp4_ = property_type;
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp6_ = (NULL == _tmp4_) ? 0 : g_quark_from_string (_tmp4_);
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_tmp6_ == ((0 != _tmp5_label0) ? _tmp5_label0 : (_tmp5_label0 = g_quark_from_static_string ("s")))) {
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
		switch (0) {
#line 3952 "ImapDialog.c"
			default:
			{
				ESourceExtension* _tmp7_;
#line 842 "../src/Dialogs/Imap/ImapDialog.vala"
				_tmp7_ = extension;
#line 842 "../src/Dialogs/Imap/ImapDialog.vala"
				g_object_set ((GObject*) _tmp7_, property_name, val, NULL);
#line 843 "../src/Dialogs/Imap/ImapDialog.vala"
				break;
#line 3962 "ImapDialog.c"
			}
		}
	} else if (_tmp6_ == ((0 != _tmp5_label1) ? _tmp5_label1 : (_tmp5_label1 = g_quark_from_static_string ("b")))) {
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
		switch (0) {
#line 3968 "ImapDialog.c"
			default:
			{
				gboolean bool_val = FALSE;
				ESourceExtension* _tmp8_;
#line 846 "../src/Dialogs/Imap/ImapDialog.vala"
				bool_val = bool_parse (val);
#line 847 "../src/Dialogs/Imap/ImapDialog.vala"
				_tmp8_ = extension;
#line 847 "../src/Dialogs/Imap/ImapDialog.vala"
				g_object_set ((GObject*) _tmp8_, property_name, bool_val, NULL);
#line 848 "../src/Dialogs/Imap/ImapDialog.vala"
				break;
#line 3981 "ImapDialog.c"
			}
		}
	} else if (_tmp6_ == ((0 != _tmp5_label2) ? _tmp5_label2 : (_tmp5_label2 = g_quark_from_static_string ("i")))) {
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
		switch (0) {
#line 3987 "ImapDialog.c"
			default:
			{
				gint int_val = 0;
				ESourceExtension* _tmp9_;
#line 851 "../src/Dialogs/Imap/ImapDialog.vala"
				int_val = atoi (val);
#line 852 "../src/Dialogs/Imap/ImapDialog.vala"
				_tmp9_ = extension;
#line 852 "../src/Dialogs/Imap/ImapDialog.vala"
				g_object_set ((GObject*) _tmp9_, property_name, int_val, NULL);
#line 853 "../src/Dialogs/Imap/ImapDialog.vala"
				break;
#line 4000 "ImapDialog.c"
			}
		}
	} else if (_tmp6_ == ((0 != _tmp5_label3) ? _tmp5_label3 : (_tmp5_label3 = g_quark_from_static_string ("f")))) {
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
		switch (0) {
#line 4006 "ImapDialog.c"
			default:
			{
				gchar* folder_val = NULL;
				gchar* _tmp10_;
				const gchar* _tmp11_;
				gchar* full_folder_uri = NULL;
				gchar* _tmp15_;
				gchar* _tmp16_;
				gchar* _tmp17_;
				gchar* _tmp18_;
				ESourceExtension* _tmp19_;
				const gchar* _tmp20_;
#line 856 "../src/Dialogs/Imap/ImapDialog.vala"
				_tmp10_ = g_strdup (val);
#line 856 "../src/Dialogs/Imap/ImapDialog.vala"
				folder_val = _tmp10_;
#line 857 "../src/Dialogs/Imap/ImapDialog.vala"
				_tmp11_ = folder_val;
#line 857 "../src/Dialogs/Imap/ImapDialog.vala"
				if (string_get (_tmp11_, (glong) 0) == '/') {
#line 4027 "ImapDialog.c"
					gint start = 0;
					const gchar* _tmp12_;
					const gchar* _tmp13_;
					gchar* _tmp14_;
#line 858 "../src/Dialogs/Imap/ImapDialog.vala"
					_tmp12_ = folder_val;
#line 858 "../src/Dialogs/Imap/ImapDialog.vala"
					start = string_index_of_nth_char (_tmp12_, (glong) 1);
#line 859 "../src/Dialogs/Imap/ImapDialog.vala"
					_tmp13_ = folder_val;
#line 859 "../src/Dialogs/Imap/ImapDialog.vala"
					_tmp14_ = string_substring (_tmp13_, (glong) start, (glong) -1);
#line 859 "../src/Dialogs/Imap/ImapDialog.vala"
					_g_free0 (folder_val);
#line 859 "../src/Dialogs/Imap/ImapDialog.vala"
					folder_val = _tmp14_;
#line 4044 "ImapDialog.c"
				}
#line 861 "../src/Dialogs/Imap/ImapDialog.vala"
				_tmp15_ = camel_url_encode (val, ":;@?#");
#line 861 "../src/Dialogs/Imap/ImapDialog.vala"
				_tmp16_ = _tmp15_;
#line 861 "../src/Dialogs/Imap/ImapDialog.vala"
				_tmp17_ = g_strdup_printf ("folder://%s/%s", encoded_account_uri, _tmp16_);
#line 861 "../src/Dialogs/Imap/ImapDialog.vala"
				_tmp18_ = _tmp17_;
#line 861 "../src/Dialogs/Imap/ImapDialog.vala"
				_g_free0 (_tmp16_);
#line 861 "../src/Dialogs/Imap/ImapDialog.vala"
				full_folder_uri = _tmp18_;
#line 862 "../src/Dialogs/Imap/ImapDialog.vala"
				_tmp19_ = extension;
#line 862 "../src/Dialogs/Imap/ImapDialog.vala"
				_tmp20_ = full_folder_uri;
#line 862 "../src/Dialogs/Imap/ImapDialog.vala"
				g_object_set ((GObject*) _tmp19_, property_name, _tmp20_, NULL);
#line 863 "../src/Dialogs/Imap/ImapDialog.vala"
				_g_free0 (full_folder_uri);
#line 863 "../src/Dialogs/Imap/ImapDialog.vala"
				_g_free0 (folder_val);
#line 863 "../src/Dialogs/Imap/ImapDialog.vala"
				break;
#line 4070 "ImapDialog.c"
			}
		}
	} else {
#line 840 "../src/Dialogs/Imap/ImapDialog.vala"
		switch (0) {
#line 4076 "ImapDialog.c"
			default:
			{
#line 866 "../src/Dialogs/Imap/ImapDialog.vala"
				g_warning ("ImapDialog.vala:866: Unknown type identifier '%s' provided", property_type);
#line 867 "../src/Dialogs/Imap/ImapDialog.vala"
				break;
#line 4083 "ImapDialog.c"
			}
		}
	}
}

OnlineAccountsImapDialog*
online_accounts_imap_dialog_construct (GType object_type)
{
	OnlineAccountsImapDialog * self = NULL;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	self = (OnlineAccountsImapDialog*) g_object_new (object_type, NULL);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	return self;
#line 4097 "ImapDialog.c"
}

OnlineAccountsImapDialog*
online_accounts_imap_dialog_new (void)
{
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	return online_accounts_imap_dialog_construct (ONLINE_ACCOUNTS_TYPE_IMAP_DIALOG);
#line 4105 "ImapDialog.c"
}

static Block7Data*
block7_data_ref (Block7Data* _data7_)
{
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	g_atomic_int_inc (&_data7_->_ref_count_);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	return _data7_;
#line 4115 "ImapDialog.c"
}

static void
block7_data_unref (void * _userdata_)
{
	Block7Data* _data7_;
	_data7_ = (Block7Data*) _userdata_;
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	if (g_atomic_int_dec_and_test (&_data7_->_ref_count_)) {
#line 4125 "ImapDialog.c"
		OnlineAccountsImapDialog* self;
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
		self = _data7_->self;
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data7_->deck);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data7_->main_grid);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (_data7_->smtp_revealer);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_object_unref0 (self);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
		g_slice_free (Block7Data, _data7_);
#line 4139 "ImapDialog.c"
	}
}

static void
_gtk_widget_destroy_online_accounts_imap_login_page_cancel (OnlineAccountsImapLoginPage* _sender,
                                                            gpointer self)
{
#line 248 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 4149 "ImapDialog.c"
}

static void
_online_accounts_imap_dialog___lambda27_ (Block7Data* _data7_)
{
	OnlineAccountsImapDialog* self;
	HdyDeck* _tmp0_;
	GtkGrid* _tmp1_;
	GtkButton* _tmp2_;
#line 250 "../src/Dialogs/Imap/ImapDialog.vala"
	self = _data7_->self;
#line 251 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = _data7_->deck;
#line 251 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = _data7_->main_grid;
#line 251 "../src/Dialogs/Imap/ImapDialog.vala"
	hdy_deck_set_visible_child (_tmp0_, (GtkWidget*) _tmp1_);
#line 252 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = self->priv->save_button;
#line 252 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_set ((GtkWidget*) _tmp2_, "has-default", TRUE, NULL);
#line 4171 "ImapDialog.c"
}

static void
__online_accounts_imap_dialog___lambda27__gtk_button_clicked (GtkButton* _sender,
                                                              gpointer self)
{
#line 250 "../src/Dialogs/Imap/ImapDialog.vala"
	_online_accounts_imap_dialog___lambda27_ (self);
#line 4180 "ImapDialog.c"
}

static void
_gtk_widget_destroy_online_accounts_imap_save_page_close (OnlineAccountsImapSavePage* _sender,
                                                          gpointer self)
{
#line 255 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 4189 "ImapDialog.c"
}

static void
_online_accounts_imap_dialog___lambda28_ (Block7Data* _data7_)
{
	OnlineAccountsImapDialog* self;
	HdyDeck* _tmp0_;
	GtkButton* _tmp1_;
#line 257 "../src/Dialogs/Imap/ImapDialog.vala"
	self = _data7_->self;
#line 258 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = _data7_->deck;
#line 258 "../src/Dialogs/Imap/ImapDialog.vala"
	hdy_deck_navigate (_tmp0_, HDY_NAVIGATION_DIRECTION_BACK);
#line 259 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = self->priv->save_button;
#line 259 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_set ((GtkWidget*) _tmp1_, "has-default", TRUE, NULL);
#line 4208 "ImapDialog.c"
}

static void
__online_accounts_imap_dialog___lambda28__online_accounts_imap_save_page_back (OnlineAccountsImapSavePage* _sender,
                                                                               gpointer self)
{
#line 257 "../src/Dialogs/Imap/ImapDialog.vala"
	_online_accounts_imap_dialog___lambda28_ (self);
#line 4217 "ImapDialog.c"
}

static void
_online_accounts_imap_dialog___lambda29_ (Block7Data* _data7_)
{
	OnlineAccountsImapDialog* self;
	HdyDeck* _tmp0_;
	OnlineAccountsImapLoginPage* _tmp1_;
	GtkButton* _tmp2_;
	GtkButton* _tmp3_;
#line 262 "../src/Dialogs/Imap/ImapDialog.vala"
	self = _data7_->self;
#line 263 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = _data7_->deck;
#line 263 "../src/Dialogs/Imap/ImapDialog.vala"
	hdy_deck_navigate (_tmp0_, HDY_NAVIGATION_DIRECTION_BACK);
#line 264 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = self->priv->login_page;
#line 264 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = online_accounts_imap_login_page_get_next_button (_tmp1_);
#line 264 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp3_ = _tmp2_;
#line 264 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_set ((GtkWidget*) _tmp3_, "has-default", TRUE, NULL);
#line 4242 "ImapDialog.c"
}

static void
__online_accounts_imap_dialog___lambda29__gtk_button_clicked (GtkButton* _sender,
                                                              gpointer self)
{
#line 262 "../src/Dialogs/Imap/ImapDialog.vala"
	_online_accounts_imap_dialog___lambda29_ (self);
#line 4251 "ImapDialog.c"
}

static void
_online_accounts_imap_dialog___lambda30_ (Block7Data* _data7_)
{
	OnlineAccountsImapDialog* self;
	gboolean _tmp0_ = FALSE;
	GtkCheckButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	GtkRevealer* _tmp7_;
	GtkCheckButton* _tmp8_;
	GtkCheckButton* _tmp9_;
	gboolean _tmp10_;
	gboolean _tmp11_;
#line 267 "../src/Dialogs/Imap/ImapDialog.vala"
	self = _data7_->self;
#line 268 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = self->priv->smtp_no_credentials;
#line 268 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 268 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp3_ = _tmp2_;
#line 268 "../src/Dialogs/Imap/ImapDialog.vala"
	if (!_tmp3_) {
#line 4277 "ImapDialog.c"
		GtkCheckButton* _tmp4_;
		gboolean _tmp5_;
		gboolean _tmp6_;
#line 268 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp4_ = self->priv->use_imap_credentials;
#line 268 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp5_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp4_);
#line 268 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp6_ = _tmp5_;
#line 268 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp0_ = !_tmp6_;
#line 4289 "ImapDialog.c"
	} else {
#line 268 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp0_ = FALSE;
#line 4293 "ImapDialog.c"
	}
#line 268 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp7_ = _data7_->smtp_revealer;
#line 268 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_revealer_set_reveal_child (_tmp7_, _tmp0_);
#line 269 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp8_ = self->priv->use_imap_credentials;
#line 269 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp9_ = self->priv->smtp_no_credentials;
#line 269 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp10_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp9_);
#line 269 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp11_ = _tmp10_;
#line 269 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp8_, !_tmp11_);
#line 4309 "ImapDialog.c"
}

static void
__online_accounts_imap_dialog___lambda30__g_object_notify (GObject* _sender,
                                                           GParamSpec* pspec,
                                                           gpointer self)
{
#line 267 "../src/Dialogs/Imap/ImapDialog.vala"
	_online_accounts_imap_dialog___lambda30_ (self);
#line 4319 "ImapDialog.c"
}

static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gchar* _tmp0_;
	gboolean result;
#line 1541 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1541 "glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1542 "glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1542 "glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1542 "glib-2.0.vapi"
	return result;
#line 4338 "ImapDialog.c"
}

static gchar*
string_strip (const gchar* self)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	gchar* result;
#line 1370 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1371 "glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1371 "glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1372 "glib-2.0.vapi"
	g_strstrip (_result_);
#line 1373 "glib-2.0.vapi"
	result = _result_;
#line 1373 "glib-2.0.vapi"
	return result;
#line 4359 "ImapDialog.c"
}

static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
	gchar* result;
#line 1545 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1545 "glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1545 "glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1546 "glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1546 "glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 4381 "ImapDialog.c"
	} else {
#line 1546 "glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 4385 "ImapDialog.c"
	}
#line 1546 "glib-2.0.vapi"
	if (_tmp1_) {
#line 1546 "glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 4391 "ImapDialog.c"
	} else {
#line 1546 "glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 4395 "ImapDialog.c"
	}
#line 1546 "glib-2.0.vapi"
	if (_tmp0_) {
#line 4399 "ImapDialog.c"
		gchar* _tmp2_;
#line 1547 "glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1547 "glib-2.0.vapi"
		result = _tmp2_;
#line 1547 "glib-2.0.vapi"
		return result;
#line 4407 "ImapDialog.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1550 "glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1550 "glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1550 "glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1550 "glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1550 "glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1550 "glib-2.0.vapi"
		regex = _tmp6_;
#line 1550 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1550 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 4435 "ImapDialog.c"
				goto __catch0_g_regex_error;
			}
#line 1550 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1550 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1550 "glib-2.0.vapi"
			return NULL;
#line 4444 "ImapDialog.c"
		}
#line 1551 "glib-2.0.vapi"
		_tmp8_ = regex;
#line 1551 "glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1551 "glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1551 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1551 "glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1551 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 4458 "ImapDialog.c"
				goto __catch0_g_regex_error;
			}
#line 1551 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1551 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1551 "glib-2.0.vapi"
			return NULL;
#line 4467 "ImapDialog.c"
		}
#line 1551 "glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1551 "glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1551 "glib-2.0.vapi"
		result = _tmp10_;
#line 1551 "glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1551 "glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1551 "glib-2.0.vapi"
		return result;
#line 4481 "ImapDialog.c"
	}
	goto __finally0;
	__catch0_g_regex_error:
	{
#line 1549 "glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1553 "glib-2.0.vapi"
		g_assert_not_reached ();
#line 4490 "ImapDialog.c"
	}
	__finally0:
#line 1549 "glib-2.0.vapi"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1549 "glib-2.0.vapi"
	g_clear_error (&_inner_error0_);
#line 1549 "glib-2.0.vapi"
	return NULL;
#line 4499 "ImapDialog.c"
}

static void
_online_accounts_imap_dialog___lambda31_ (OnlineAccountsImapDialog* self)
{
	OnlineAccountsImapLoginPage* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 275 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = self->priv->login_page;
#line 275 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = online_accounts_imap_login_page_get_email (_tmp0_);
#line 275 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = _tmp1_;
#line 275 "../src/Dialogs/Imap/ImapDialog.vala"
	if (string_contains (_tmp2_, "@")) {
#line 4516 "ImapDialog.c"
		gchar* domain = NULL;
		OnlineAccountsImapLoginPage* _tmp3_;
		const gchar* _tmp4_;
		const gchar* _tmp5_;
		gchar** _tmp6_;
		gchar** _tmp7_;
		gchar** _tmp8_;
		gint _tmp8__length1;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		const gchar* _tmp14_;
		gint _tmp15_;
		gint _tmp16_;
		GraniteValidatedEntry* _tmp25_;
		OnlineAccountsImapLoginPage* _tmp26_;
		const gchar* _tmp27_;
		const gchar* _tmp28_;
		GtkEntry* _tmp29_;
		OnlineAccountsImapLoginPage* _tmp30_;
		const gchar* _tmp31_;
		const gchar* _tmp32_;
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp3_ = self->priv->login_page;
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp4_ = online_accounts_imap_login_page_get_email (_tmp3_);
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp5_ = _tmp4_;
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp7_ = _tmp6_ = g_strsplit (_tmp5_, "@", 2);
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp8_ = _tmp7_;
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp8__length1 = _vala_array_length (_tmp6_);
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp9_ = _tmp8_[1];
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp10_ = string_strip (_tmp9_);
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp11_ = _tmp10_;
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp12_ = string_replace (_tmp11_, "@", "");
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp13_ = _tmp12_;
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_free0 (_tmp11_);
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp8_ = (_vala_array_free (_tmp8_, _tmp8__length1, (GDestroyNotify) g_free), NULL);
#line 276 "../src/Dialogs/Imap/ImapDialog.vala"
		domain = _tmp13_;
#line 277 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp14_ = domain;
#line 277 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp15_ = strlen (_tmp14_);
#line 277 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp16_ = _tmp15_;
#line 277 "../src/Dialogs/Imap/ImapDialog.vala"
		if (_tmp16_ > 0) {
#line 4577 "ImapDialog.c"
			GraniteValidatedEntry* _tmp17_;
			const gchar* _tmp18_;
			gchar* _tmp19_;
			gchar* _tmp20_;
			GraniteValidatedEntry* _tmp21_;
			const gchar* _tmp22_;
			gchar* _tmp23_;
			gchar* _tmp24_;
#line 278 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp17_ = self->priv->imap_server_entry;
#line 278 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp18_ = domain;
#line 278 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp19_ = g_strconcat ("imap.", _tmp18_, NULL);
#line 278 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp20_ = _tmp19_;
#line 278 "../src/Dialogs/Imap/ImapDialog.vala"
			gtk_entry_set_text ((GtkEntry*) _tmp17_, _tmp20_);
#line 278 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_free0 (_tmp20_);
#line 279 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp21_ = self->priv->smtp_server_entry;
#line 279 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp22_ = domain;
#line 279 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp23_ = g_strconcat ("smtp.", _tmp22_, NULL);
#line 279 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp24_ = _tmp23_;
#line 279 "../src/Dialogs/Imap/ImapDialog.vala"
			gtk_entry_set_text ((GtkEntry*) _tmp21_, _tmp24_);
#line 279 "../src/Dialogs/Imap/ImapDialog.vala"
			_g_free0 (_tmp24_);
#line 4610 "ImapDialog.c"
		}
#line 282 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp25_ = self->priv->imap_username_entry;
#line 282 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp26_ = self->priv->login_page;
#line 282 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp27_ = online_accounts_imap_login_page_get_email (_tmp26_);
#line 282 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp28_ = _tmp27_;
#line 282 "../src/Dialogs/Imap/ImapDialog.vala"
		gtk_entry_set_text ((GtkEntry*) _tmp25_, _tmp28_);
#line 283 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp29_ = self->priv->smtp_username_entry;
#line 283 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp30_ = self->priv->login_page;
#line 283 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp31_ = online_accounts_imap_login_page_get_email (_tmp30_);
#line 283 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp32_ = _tmp31_;
#line 283 "../src/Dialogs/Imap/ImapDialog.vala"
		gtk_entry_set_text (_tmp29_, _tmp32_);
#line 275 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_free0 (domain);
#line 4634 "ImapDialog.c"
	}
#line 286 "../src/Dialogs/Imap/ImapDialog.vala"
	online_accounts_imap_dialog_set_button_sensitivity (self);
#line 4638 "ImapDialog.c"
}

static void
__online_accounts_imap_dialog___lambda31__g_object_notify (GObject* _sender,
                                                           GParamSpec* pspec,
                                                           gpointer self)
{
#line 274 "../src/Dialogs/Imap/ImapDialog.vala"
	_online_accounts_imap_dialog___lambda31_ ((OnlineAccountsImapDialog*) self);
#line 4648 "ImapDialog.c"
}

static void
_online_accounts_imap_dialog___lambda32_ (OnlineAccountsImapDialog* self)
{
	GraniteValidatedEntry* _tmp0_;
	GraniteValidatedEntry* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	GtkCheckButton* _tmp6_;
	gboolean _tmp7_;
	gboolean _tmp8_;
#line 290 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = self->priv->imap_username_entry;
#line 290 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = self->priv->imap_username_entry;
#line 290 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = gtk_entry_get_text ((GtkEntry*) _tmp1_);
#line 290 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp3_ = _tmp2_;
#line 290 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp4_ = strlen (_tmp3_);
#line 290 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp5_ = _tmp4_;
#line 290 "../src/Dialogs/Imap/ImapDialog.vala"
	granite_validated_entry_set_is_valid (_tmp0_, _tmp5_ > 0);
#line 291 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp6_ = self->priv->use_imap_credentials;
#line 291 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp7_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp6_);
#line 291 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp8_ = _tmp7_;
#line 291 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_tmp8_) {
#line 4685 "ImapDialog.c"
		GtkEntry* _tmp9_;
		GraniteValidatedEntry* _tmp10_;
		const gchar* _tmp11_;
		const gchar* _tmp12_;
#line 292 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp9_ = self->priv->smtp_username_entry;
#line 292 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp10_ = self->priv->imap_username_entry;
#line 292 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp11_ = gtk_entry_get_text ((GtkEntry*) _tmp10_);
#line 292 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp12_ = _tmp11_;
#line 292 "../src/Dialogs/Imap/ImapDialog.vala"
		gtk_entry_set_text (_tmp9_, _tmp12_);
#line 4700 "ImapDialog.c"
	}
#line 294 "../src/Dialogs/Imap/ImapDialog.vala"
	online_accounts_imap_dialog_set_button_sensitivity (self);
#line 4704 "ImapDialog.c"
}

static void
__online_accounts_imap_dialog___lambda32__gtk_editable_changed (GtkEditable* _sender,
                                                                gpointer self)
{
#line 289 "../src/Dialogs/Imap/ImapDialog.vala"
	_online_accounts_imap_dialog___lambda32_ ((OnlineAccountsImapDialog*) self);
#line 4713 "ImapDialog.c"
}

static void
_online_accounts_imap_dialog___lambda33_ (OnlineAccountsImapDialog* self)
{
	GraniteValidatedEntry* _tmp0_;
	GraniteValidatedEntry* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
#line 298 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = self->priv->imap_server_entry;
#line 298 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = self->priv->imap_server_entry;
#line 298 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = gtk_entry_get_text ((GtkEntry*) _tmp1_);
#line 298 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp3_ = _tmp2_;
#line 298 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp4_ = strlen (_tmp3_);
#line 298 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp5_ = _tmp4_;
#line 298 "../src/Dialogs/Imap/ImapDialog.vala"
	granite_validated_entry_set_is_valid (_tmp0_, _tmp5_ > 3);
#line 299 "../src/Dialogs/Imap/ImapDialog.vala"
	online_accounts_imap_dialog_set_button_sensitivity (self);
#line 4741 "ImapDialog.c"
}

static void
__online_accounts_imap_dialog___lambda33__gtk_editable_changed (GtkEditable* _sender,
                                                                gpointer self)
{
#line 297 "../src/Dialogs/Imap/ImapDialog.vala"
	_online_accounts_imap_dialog___lambda33_ ((OnlineAccountsImapDialog*) self);
#line 4750 "ImapDialog.c"
}

static void
_online_accounts_imap_dialog___lambda34_ (OnlineAccountsImapDialog* self)
{
	GtkComboBoxText* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 303 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = self->priv->imap_encryption_combobox;
#line 303 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp0_);
#line 303 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = _tmp1_;
#line 303 "../src/Dialogs/Imap/ImapDialog.vala"
	switch (_tmp2_) {
#line 303 "../src/Dialogs/Imap/ImapDialog.vala"
		case 1:
#line 4769 "ImapDialog.c"
		{
			GtkSpinButton* _tmp3_;
#line 305 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp3_ = self->priv->imap_port_spin;
#line 305 "../src/Dialogs/Imap/ImapDialog.vala"
			gtk_spin_button_set_value (_tmp3_, (gdouble) 993);
#line 306 "../src/Dialogs/Imap/ImapDialog.vala"
			break;
#line 4778 "ImapDialog.c"
		}
#line 303 "../src/Dialogs/Imap/ImapDialog.vala"
		case 2:
#line 4782 "ImapDialog.c"
		{
			GtkSpinButton* _tmp4_;
#line 308 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp4_ = self->priv->imap_port_spin;
#line 308 "../src/Dialogs/Imap/ImapDialog.vala"
			gtk_spin_button_set_value (_tmp4_, (gdouble) 143);
#line 309 "../src/Dialogs/Imap/ImapDialog.vala"
			break;
#line 4791 "ImapDialog.c"
		}
		default:
		{
			GtkSpinButton* _tmp5_;
#line 311 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp5_ = self->priv->imap_port_spin;
#line 311 "../src/Dialogs/Imap/ImapDialog.vala"
			gtk_spin_button_set_value (_tmp5_, (gdouble) 143);
#line 312 "../src/Dialogs/Imap/ImapDialog.vala"
			break;
#line 4802 "ImapDialog.c"
		}
	}
}

static void
__online_accounts_imap_dialog___lambda34__gtk_combo_box_changed (GtkComboBox* _sender,
                                                                 gpointer self)
{
#line 302 "../src/Dialogs/Imap/ImapDialog.vala"
	_online_accounts_imap_dialog___lambda34_ ((OnlineAccountsImapDialog*) self);
#line 4813 "ImapDialog.c"
}

static void
_online_accounts_imap_dialog___lambda35_ (OnlineAccountsImapDialog* self)
{
	GraniteValidatedEntry* _tmp0_;
	GraniteValidatedEntry* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
#line 317 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = self->priv->smtp_server_entry;
#line 317 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = self->priv->smtp_server_entry;
#line 317 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = gtk_entry_get_text ((GtkEntry*) _tmp1_);
#line 317 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp3_ = _tmp2_;
#line 317 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp4_ = strlen (_tmp3_);
#line 317 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp5_ = _tmp4_;
#line 317 "../src/Dialogs/Imap/ImapDialog.vala"
	granite_validated_entry_set_is_valid (_tmp0_, _tmp5_ > 3);
#line 318 "../src/Dialogs/Imap/ImapDialog.vala"
	online_accounts_imap_dialog_set_button_sensitivity (self);
#line 4841 "ImapDialog.c"
}

static void
__online_accounts_imap_dialog___lambda35__gtk_editable_changed (GtkEditable* _sender,
                                                                gpointer self)
{
#line 316 "../src/Dialogs/Imap/ImapDialog.vala"
	_online_accounts_imap_dialog___lambda35_ ((OnlineAccountsImapDialog*) self);
#line 4850 "ImapDialog.c"
}

static void
_online_accounts_imap_dialog___lambda36_ (OnlineAccountsImapDialog* self)
{
	GtkComboBoxText* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 322 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = self->priv->smtp_encryption_combobox;
#line 322 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp0_);
#line 322 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = _tmp1_;
#line 322 "../src/Dialogs/Imap/ImapDialog.vala"
	switch (_tmp2_) {
#line 322 "../src/Dialogs/Imap/ImapDialog.vala"
		case 1:
#line 4869 "ImapDialog.c"
		{
			GtkSpinButton* _tmp3_;
#line 324 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp3_ = self->priv->smtp_port_spin;
#line 324 "../src/Dialogs/Imap/ImapDialog.vala"
			gtk_spin_button_set_value (_tmp3_, (gdouble) 465);
#line 325 "../src/Dialogs/Imap/ImapDialog.vala"
			break;
#line 4878 "ImapDialog.c"
		}
#line 322 "../src/Dialogs/Imap/ImapDialog.vala"
		case 2:
#line 4882 "ImapDialog.c"
		{
			GtkSpinButton* _tmp4_;
#line 327 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp4_ = self->priv->smtp_port_spin;
#line 327 "../src/Dialogs/Imap/ImapDialog.vala"
			gtk_spin_button_set_value (_tmp4_, (gdouble) 587);
#line 328 "../src/Dialogs/Imap/ImapDialog.vala"
			break;
#line 4891 "ImapDialog.c"
		}
		default:
		{
			GtkSpinButton* _tmp5_;
#line 330 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp5_ = self->priv->smtp_port_spin;
#line 330 "../src/Dialogs/Imap/ImapDialog.vala"
			gtk_spin_button_set_value (_tmp5_, (gdouble) 25);
#line 331 "../src/Dialogs/Imap/ImapDialog.vala"
			break;
#line 4902 "ImapDialog.c"
		}
	}
}

static void
__online_accounts_imap_dialog___lambda36__gtk_combo_box_changed (GtkComboBox* _sender,
                                                                 gpointer self)
{
#line 321 "../src/Dialogs/Imap/ImapDialog.vala"
	_online_accounts_imap_dialog___lambda36_ ((OnlineAccountsImapDialog*) self);
#line 4913 "ImapDialog.c"
}

static void
__lambda38_ (OnlineAccountsImapDialog* self,
             GObject* obj,
             GAsyncResult* res)
{
	GError* _inner_error0_ = NULL;
#line 344 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_if_fail (res != NULL);
#line 4924 "ImapDialog.c"
	{
		OnlineAccountsImapSavePage* _tmp0_;
#line 346 "../src/Dialogs/Imap/ImapDialog.vala"
		online_accounts_imap_dialog_save_configuration_finish (self, res, &_inner_error0_);
#line 346 "../src/Dialogs/Imap/ImapDialog.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 4931 "ImapDialog.c"
			goto __catch0_g_error;
		}
#line 347 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp0_ = self->priv->save_page;
#line 347 "../src/Dialogs/Imap/ImapDialog.vala"
		online_accounts_imap_save_page_show_success (_tmp0_);
#line 4938 "ImapDialog.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		OnlineAccountsImapSavePage* _tmp1_;
		GError* _tmp2_;
#line 345 "../src/Dialogs/Imap/ImapDialog.vala"
		e = _inner_error0_;
#line 345 "../src/Dialogs/Imap/ImapDialog.vala"
		_inner_error0_ = NULL;
#line 350 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp1_ = self->priv->save_page;
#line 350 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp2_ = e;
#line 350 "../src/Dialogs/Imap/ImapDialog.vala"
		online_accounts_imap_save_page_show_error (_tmp1_, _tmp2_);
#line 345 "../src/Dialogs/Imap/ImapDialog.vala"
		_g_error_free0 (e);
#line 4958 "ImapDialog.c"
	}
	__finally0:
#line 345 "../src/Dialogs/Imap/ImapDialog.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 345 "../src/Dialogs/Imap/ImapDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 345 "../src/Dialogs/Imap/ImapDialog.vala"
		g_clear_error (&_inner_error0_);
#line 345 "../src/Dialogs/Imap/ImapDialog.vala"
		return;
#line 4969 "ImapDialog.c"
	}
}

static void
___lambda38__gasync_ready_callback (GObject* source_object,
                                    GAsyncResult* res,
                                    gpointer self)
{
#line 344 "../src/Dialogs/Imap/ImapDialog.vala"
	__lambda38_ ((OnlineAccountsImapDialog*) self, source_object, res);
#line 344 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_unref (self);
#line 4982 "ImapDialog.c"
}

static void
_online_accounts_imap_dialog___lambda37_ (Block7Data* _data7_)
{
	OnlineAccountsImapDialog* self;
	GCancellable* _tmp0_;
	GCancellable* _tmp2_;
	HdyDeck* _tmp3_;
	OnlineAccountsImapSavePage* _tmp4_;
	OnlineAccountsImapSavePage* _tmp5_;
	GCancellable* _tmp6_;
#line 335 "../src/Dialogs/Imap/ImapDialog.vala"
	self = _data7_->self;
#line 336 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = self->priv->cancellable;
#line 336 "../src/Dialogs/Imap/ImapDialog.vala"
	if (_tmp0_ != NULL) {
#line 5001 "ImapDialog.c"
		GCancellable* _tmp1_;
#line 337 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp1_ = self->priv->cancellable;
#line 337 "../src/Dialogs/Imap/ImapDialog.vala"
		g_cancellable_cancel (_tmp1_);
#line 5007 "ImapDialog.c"
	}
#line 339 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = g_cancellable_new ();
#line 339 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->cancellable);
#line 339 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->cancellable = _tmp2_;
#line 341 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp3_ = _data7_->deck;
#line 341 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp4_ = self->priv->save_page;
#line 341 "../src/Dialogs/Imap/ImapDialog.vala"
	hdy_deck_set_visible_child (_tmp3_, (GtkWidget*) _tmp4_);
#line 342 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp5_ = self->priv->save_page;
#line 342 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp6_ = self->priv->cancellable;
#line 342 "../src/Dialogs/Imap/ImapDialog.vala"
	online_accounts_imap_save_page_show_busy (_tmp5_, _tmp6_);
#line 344 "../src/Dialogs/Imap/ImapDialog.vala"
	online_accounts_imap_dialog_save_configuration (self, ___lambda38__gasync_ready_callback, g_object_ref (self));
#line 5029 "ImapDialog.c"
}

static void
__online_accounts_imap_dialog___lambda37__gtk_button_clicked (GtkButton* _sender,
                                                              gpointer self)
{
#line 335 "../src/Dialogs/Imap/ImapDialog.vala"
	_online_accounts_imap_dialog___lambda37_ (self);
#line 5038 "ImapDialog.c"
}

static gboolean
_online_accounts_imap_dialog___lambda39_ (OnlineAccountsImapDialog* self,
                                          GdkEventKey* event_key)
{
#line 355 "../src/Dialogs/Imap/ImapDialog.vala"
	g_return_val_if_fail (event_key != NULL, FALSE);
#line 356 "../src/Dialogs/Imap/ImapDialog.vala"
	if (event_key->keyval == GDK_KEY_Escape) {
#line 5049 "ImapDialog.c"
		GCancellable* _tmp0_;
#line 357 "../src/Dialogs/Imap/ImapDialog.vala"
		_tmp0_ = self->priv->cancellable;
#line 357 "../src/Dialogs/Imap/ImapDialog.vala"
		if (_tmp0_ != NULL) {
#line 5055 "ImapDialog.c"
			GCancellable* _tmp1_;
#line 358 "../src/Dialogs/Imap/ImapDialog.vala"
			_tmp1_ = self->priv->cancellable;
#line 358 "../src/Dialogs/Imap/ImapDialog.vala"
			g_cancellable_cancel (_tmp1_);
#line 5061 "ImapDialog.c"
		}
#line 360 "../src/Dialogs/Imap/ImapDialog.vala"
		gtk_widget_destroy ((GtkWidget*) self);
#line 5065 "ImapDialog.c"
	}
}

static gboolean
__online_accounts_imap_dialog___lambda39__gtk_widget_key_release_event (GtkWidget* _sender,
                                                                        GdkEventKey* event,
                                                                        gpointer self)
{
	gboolean result;
	result = _online_accounts_imap_dialog___lambda39_ ((OnlineAccountsImapDialog*) self, event);
#line 355 "../src/Dialogs/Imap/ImapDialog.vala"
	return result;
#line 5078 "ImapDialog.c"
}

static GObject *
online_accounts_imap_dialog_constructor (GType type,
                                         guint n_construct_properties,
                                         GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	OnlineAccountsImapDialog * self;
	Block7Data* _data7_;
	OnlineAccountsImapLoginPage* _tmp0_;
	OnlineAccountsImapSavePage* _tmp1_;
	GraniteHeaderLabel* imap_header = NULL;
	GraniteHeaderLabel* _tmp2_;
	GtkLabel* imap_username_label = NULL;
	GtkLabel* _tmp3_ = NULL;
	GraniteValidatedEntry* _tmp4_ = NULL;
	GtkLabel* imap_password_label = NULL;
	GtkLabel* _tmp5_ = NULL;
	GtkLabel* imap_url_label = NULL;
	GtkLabel* _tmp6_ = NULL;
	GraniteValidatedEntry* _tmp7_;
	GtkSpinButton* _tmp8_ = NULL;
	GtkSpinButton* _tmp9_ = NULL;
	GtkLabel* imap_port_label = NULL;
	GtkLabel* _tmp10_ = NULL;
	GtkLabel* imap_encryption_label = NULL;
	GtkLabel* _tmp11_ = NULL;
	GtkLabel* imap_refresh_interval_label = NULL;
	GtkLabel* _tmp12_ = NULL;
	GtkComboBoxText* _tmp13_ = NULL;
	GtkComboBoxText* _tmp14_;
	GtkComboBoxText* _tmp15_;
	GtkComboBoxText* _tmp16_;
	GtkComboBoxText* _tmp17_;
	GtkGrid* imap_server_grid = NULL;
	GtkGrid* _tmp18_ = NULL;
	GtkGrid* _tmp19_;
	GraniteHeaderLabel* _tmp20_;
	GtkGrid* _tmp21_;
	GtkLabel* _tmp22_;
	GtkGrid* _tmp23_;
	GraniteValidatedEntry* _tmp24_;
	GtkGrid* _tmp25_;
	GtkLabel* _tmp26_;
	GtkGrid* _tmp27_;
	GraniteValidatedEntry* _tmp28_;
	GtkGrid* _tmp29_;
	GtkLabel* _tmp30_;
	GtkGrid* _tmp31_;
	GtkComboBoxText* _tmp32_;
	GtkGrid* _tmp33_;
	GtkLabel* _tmp34_;
	GtkGrid* _tmp35_;
	GtkSpinButton* _tmp36_;
	GtkGrid* _tmp37_;
	GtkLabel* _tmp38_;
	GtkGrid* _tmp39_;
	GtkSpinButton* _tmp40_;
	GtkCheckButton* _tmp41_ = NULL;
	GtkCheckButton* _tmp42_;
	GraniteHeaderLabel* smtp_header = NULL;
	GraniteHeaderLabel* _tmp43_;
	GtkLabel* smtp_username_label = NULL;
	GtkLabel* _tmp44_ = NULL;
	GtkEntry* _tmp45_ = NULL;
	GtkLabel* smtp_password_label = NULL;
	GtkLabel* _tmp46_ = NULL;
	GtkEntry* _tmp47_ = NULL;
	GtkGrid* smtp_credentials = NULL;
	GtkGrid* _tmp48_ = NULL;
	GtkGrid* _tmp49_;
	GtkLabel* _tmp50_;
	GtkGrid* _tmp51_;
	GtkEntry* _tmp52_;
	GtkGrid* _tmp53_;
	GtkLabel* _tmp54_;
	GtkGrid* _tmp55_;
	GtkEntry* _tmp56_;
	GtkRevealer* _tmp57_;
	GtkRevealer* _tmp58_;
	GtkGrid* _tmp59_;
	GtkLabel* smtp_url_label = NULL;
	GtkLabel* _tmp60_ = NULL;
	GraniteValidatedEntry* _tmp61_;
	GtkLabel* smtp_port_label = NULL;
	GtkLabel* _tmp62_ = NULL;
	GtkSpinButton* _tmp63_ = NULL;
	GtkLabel* smtp_encryption_label = NULL;
	GtkLabel* _tmp64_ = NULL;
	GtkComboBoxText* _tmp65_ = NULL;
	GtkComboBoxText* _tmp66_;
	GtkComboBoxText* _tmp67_;
	GtkComboBoxText* _tmp68_;
	GtkComboBoxText* _tmp69_;
	GtkGrid* smtp_server_grid = NULL;
	GtkGrid* _tmp70_ = NULL;
	GtkGrid* _tmp71_;
	GraniteHeaderLabel* _tmp72_;
	GtkGrid* _tmp73_;
	GtkCheckButton* _tmp74_;
	GtkGrid* _tmp75_;
	GtkCheckButton* _tmp76_;
	GtkGrid* _tmp77_;
	GtkRevealer* _tmp78_;
	GtkGrid* _tmp79_;
	GtkLabel* _tmp80_;
	GtkGrid* _tmp81_;
	GraniteValidatedEntry* _tmp82_;
	GtkGrid* _tmp83_;
	GtkLabel* _tmp84_;
	GtkGrid* _tmp85_;
	GtkComboBoxText* _tmp86_;
	GtkGrid* _tmp87_;
	GtkLabel* _tmp88_;
	GtkGrid* _tmp89_;
	GtkSpinButton* _tmp90_;
	GtkSizeGroup* smtp_sizegroup = NULL;
	GtkSizeGroup* _tmp91_;
	GtkSizeGroup* _tmp92_;
	GtkLabel* _tmp93_;
	GtkSizeGroup* _tmp94_;
	GtkLabel* _tmp95_;
	GtkSizeGroup* _tmp96_;
	GtkLabel* _tmp97_;
	GtkSizeGroup* _tmp98_;
	GtkLabel* _tmp99_;
	GtkSizeGroup* _tmp100_;
	GtkLabel* _tmp101_;
	GtkButton* back_button = NULL;
	GtkButton* _tmp102_;
	GtkButton* _tmp103_ = NULL;
	GtkButton* _tmp104_;
	GtkStyleContext* _tmp105_;
	GtkButtonBox* action_area = NULL;
	GtkButtonBox* _tmp106_ = NULL;
	GtkButtonBox* _tmp107_;
	GtkButton* _tmp108_;
	GtkButtonBox* _tmp109_;
	GtkButton* _tmp110_;
	GtkGrid* _tmp111_ = NULL;
	GtkGrid* _tmp112_;
	GtkGrid* _tmp113_;
	GtkGrid* _tmp114_;
	GtkGrid* _tmp115_;
	GtkGrid* _tmp116_;
	GtkButtonBox* _tmp117_;
	HdyDeck* _tmp118_ = NULL;
	HdyDeck* _tmp119_;
	OnlineAccountsImapLoginPage* _tmp120_;
	HdyDeck* _tmp121_;
	GtkGrid* _tmp122_;
	HdyDeck* _tmp123_;
	OnlineAccountsImapSavePage* _tmp124_;
	HdyWindowHandle* window_handle = NULL;
	HdyWindowHandle* _tmp125_;
	HdyWindowHandle* _tmp126_;
	HdyDeck* _tmp127_;
	HdyWindowHandle* _tmp128_;
	OnlineAccountsImapLoginPage* _tmp129_;
	GtkButton* _tmp130_;
	GtkButton* _tmp131_;
	OnlineAccountsImapLoginPage* _tmp132_;
	OnlineAccountsImapLoginPage* _tmp133_;
	GtkButton* _tmp134_;
	GtkButton* _tmp135_;
	OnlineAccountsImapSavePage* _tmp136_;
	OnlineAccountsImapSavePage* _tmp137_;
	GtkButton* _tmp138_;
	GtkCheckButton* _tmp139_;
	GtkCheckButton* _tmp140_;
	GtkRevealer* _tmp141_;
	OnlineAccountsImapLoginPage* _tmp142_;
	GraniteValidatedEntry* _tmp143_;
	GraniteValidatedEntry* _tmp144_;
	GtkComboBoxText* _tmp145_;
	GraniteValidatedEntry* _tmp146_;
	GtkComboBoxText* _tmp147_;
	GtkButton* _tmp148_;
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	parent_class = G_OBJECT_CLASS (online_accounts_imap_dialog_parent_class);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_TYPE_IMAP_DIALOG, OnlineAccountsImapDialog);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_data7_ = g_slice_new0 (Block7Data);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_data7_->_ref_count_ = 1;
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_data7_->self = g_object_ref (self);
#line 44 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp0_ = online_accounts_imap_login_page_new ();
#line 44 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp0_);
#line 44 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->login_page);
#line 44 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->login_page = _tmp0_;
#line 45 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp1_ = online_accounts_imap_save_page_new ();
#line 45 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 45 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->save_page);
#line 45 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->save_page = _tmp1_;
#line 47 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp2_ = granite_header_label_new ("IMAP");
#line 47 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp2_);
#line 47 "../src/Dialogs/Imap/ImapDialog.vala"
	imap_header = _tmp2_;
#line 49 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp3_ = (GtkLabel*) gtk_label_new (_ ("Username:"));
#line 49 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp3_, GTK_ALIGN_END);
#line 49 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp3_);
#line 49 "../src/Dialogs/Imap/ImapDialog.vala"
	imap_username_label = _tmp3_;
#line 53 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp4_ = granite_validated_entry_new ();
#line 53 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp4_, TRUE);
#line 53 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp4_);
#line 53 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->imap_username_entry);
#line 53 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->imap_username_entry = _tmp4_;
#line 57 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp5_ = (GtkLabel*) gtk_label_new (_ ("Password:"));
#line 57 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp5_, GTK_ALIGN_END);
#line 57 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp5_, 18);
#line 57 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp5_);
#line 57 "../src/Dialogs/Imap/ImapDialog.vala"
	imap_password_label = _tmp5_;
#line 62 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp6_ = (GtkLabel*) gtk_label_new (_ ("Server URL:"));
#line 62 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp6_, GTK_ALIGN_END);
#line 62 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp6_);
#line 62 "../src/Dialogs/Imap/ImapDialog.vala"
	imap_url_label = _tmp6_;
#line 66 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp7_ = granite_validated_entry_new ();
#line 66 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp7_);
#line 66 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->imap_server_entry);
#line 66 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->imap_server_entry = _tmp7_;
#line 68 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp8_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) G_MAXUINT16, (gdouble) 10);
#line 68 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_spin_button_set_value (_tmp8_, (gdouble) 993);
#line 68 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp8_);
#line 68 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->imap_port_spin);
#line 68 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->imap_port_spin = _tmp8_;
#line 72 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp9_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) 60, (gdouble) 1);
#line 72 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_spin_button_set_value (_tmp9_, (gdouble) 10);
#line 72 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp9_);
#line 72 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->imap_refresh_interval_spin);
#line 72 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->imap_refresh_interval_spin = _tmp9_;
#line 76 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp10_ = (GtkLabel*) gtk_label_new (_ ("Port:"));
#line 76 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp10_, GTK_ALIGN_END);
#line 76 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp10_);
#line 76 "../src/Dialogs/Imap/ImapDialog.vala"
	imap_port_label = _tmp10_;
#line 80 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp11_ = (GtkLabel*) gtk_label_new (_ ("Encryption:"));
#line 80 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp11_, GTK_ALIGN_END);
#line 80 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp11_);
#line 80 "../src/Dialogs/Imap/ImapDialog.vala"
	imap_encryption_label = _tmp11_;
#line 84 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp12_ = (GtkLabel*) gtk_label_new (_ ("Refresh Interval in Minutes:"));
#line 84 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp12_, GTK_ALIGN_END);
#line 84 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp12_);
#line 84 "../src/Dialogs/Imap/ImapDialog.vala"
	imap_refresh_interval_label = _tmp12_;
#line 88 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp13_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 88 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp13_, TRUE);
#line 88 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp13_);
#line 88 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->imap_encryption_combobox);
#line 88 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->imap_encryption_combobox = _tmp13_;
#line 92 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp14_ = self->priv->imap_encryption_combobox;
#line 92 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_combo_box_text_append (_tmp14_, "none", _ ("None"));
#line 93 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp15_ = self->priv->imap_encryption_combobox;
#line 93 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_combo_box_text_append (_tmp15_, "ssl-on-alternate-port", "SSL/TLS");
#line 94 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp16_ = self->priv->imap_encryption_combobox;
#line 94 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_combo_box_text_append (_tmp16_, "starttls-on-standard-port", "STARTTLS");
#line 95 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp17_ = self->priv->imap_encryption_combobox;
#line 95 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_combo_box_set_active ((GtkComboBox*) _tmp17_, 1);
#line 97 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp18_ = (GtkGrid*) gtk_grid_new ();
#line 97 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_set_column_spacing (_tmp18_, 6);
#line 97 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_set_row_spacing (_tmp18_, 6);
#line 97 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp18_);
#line 97 "../src/Dialogs/Imap/ImapDialog.vala"
	imap_server_grid = _tmp18_;
#line 101 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp19_ = imap_server_grid;
#line 101 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp20_ = imap_header;
#line 101 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp19_, (GtkWidget*) _tmp20_, 0, 0, 2, 1);
#line 102 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp21_ = imap_server_grid;
#line 102 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp22_ = imap_username_label;
#line 102 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp21_, (GtkWidget*) _tmp22_, 0, 1, 1, 1);
#line 103 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp23_ = imap_server_grid;
#line 103 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp24_ = self->priv->imap_username_entry;
#line 103 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp23_, (GtkWidget*) _tmp24_, 1, 1, 1, 1);
#line 104 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp25_ = imap_server_grid;
#line 104 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp26_ = imap_url_label;
#line 104 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp25_, (GtkWidget*) _tmp26_, 0, 3, 1, 1);
#line 105 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp27_ = imap_server_grid;
#line 105 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp28_ = self->priv->imap_server_entry;
#line 105 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp27_, (GtkWidget*) _tmp28_, 1, 3, 1, 1);
#line 106 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp29_ = imap_server_grid;
#line 106 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp30_ = imap_encryption_label;
#line 106 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp29_, (GtkWidget*) _tmp30_, 0, 4, 1, 1);
#line 107 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp31_ = imap_server_grid;
#line 107 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp32_ = self->priv->imap_encryption_combobox;
#line 107 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp31_, (GtkWidget*) _tmp32_, 1, 4, 1, 1);
#line 108 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp33_ = imap_server_grid;
#line 108 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp34_ = imap_port_label;
#line 108 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp33_, (GtkWidget*) _tmp34_, 0, 5, 1, 1);
#line 109 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp35_ = imap_server_grid;
#line 109 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp36_ = self->priv->imap_port_spin;
#line 109 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp35_, (GtkWidget*) _tmp36_, 1, 5, 1, 1);
#line 110 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp37_ = imap_server_grid;
#line 110 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp38_ = imap_refresh_interval_label;
#line 110 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp37_, (GtkWidget*) _tmp38_, 0, 6, 1, 1);
#line 111 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp39_ = imap_server_grid;
#line 111 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp40_ = self->priv->imap_refresh_interval_spin;
#line 111 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp39_, (GtkWidget*) _tmp40_, 1, 6, 1, 1);
#line 113 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp41_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("Use IMAP Credentials"));
#line 113 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp41_, TRUE);
#line 113 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp41_);
#line 113 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->use_imap_credentials);
#line 113 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->use_imap_credentials = _tmp41_;
#line 117 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp42_ = (GtkCheckButton*) gtk_check_button_new_with_label (_ ("No authentication required"));
#line 117 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp42_);
#line 117 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_no_credentials);
#line 117 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->smtp_no_credentials = _tmp42_;
#line 119 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp43_ = granite_header_label_new ("SMTP");
#line 119 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp43_);
#line 119 "../src/Dialogs/Imap/ImapDialog.vala"
	smtp_header = _tmp43_;
#line 121 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp44_ = (GtkLabel*) gtk_label_new (_ ("Username:"));
#line 121 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_label_set_xalign (_tmp44_, (gfloat) 1);
#line 121 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp44_);
#line 121 "../src/Dialogs/Imap/ImapDialog.vala"
	smtp_username_label = _tmp44_;
#line 125 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp45_ = (GtkEntry*) gtk_entry_new ();
#line 125 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_entry_set_activates_default (_tmp45_, TRUE);
#line 125 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp45_, TRUE);
#line 125 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp45_);
#line 125 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_username_entry);
#line 125 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->smtp_username_entry = _tmp45_;
#line 130 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp46_ = (GtkLabel*) gtk_label_new (_ ("Password:"));
#line 130 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_label_set_xalign (_tmp46_, (gfloat) 1);
#line 130 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp46_);
#line 130 "../src/Dialogs/Imap/ImapDialog.vala"
	smtp_password_label = _tmp46_;
#line 134 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp47_ = (GtkEntry*) gtk_entry_new ();
#line 134 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_entry_set_activates_default (_tmp47_, TRUE);
#line 134 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_entry_set_input_purpose (_tmp47_, GTK_INPUT_PURPOSE_PASSWORD);
#line 134 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_entry_set_visibility (_tmp47_, FALSE);
#line 134 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp47_);
#line 134 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_password_entry);
#line 134 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->smtp_password_entry = _tmp47_;
#line 140 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp48_ = (GtkGrid*) gtk_grid_new ();
#line 140 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_set_column_spacing (_tmp48_, 6);
#line 140 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_set_row_spacing (_tmp48_, 6);
#line 140 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp48_, 18);
#line 140 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp48_);
#line 140 "../src/Dialogs/Imap/ImapDialog.vala"
	smtp_credentials = _tmp48_;
#line 145 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp49_ = smtp_credentials;
#line 145 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp50_ = smtp_username_label;
#line 145 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp49_, (GtkWidget*) _tmp50_, 0, 0, 1, 1);
#line 146 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp51_ = smtp_credentials;
#line 146 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp52_ = self->priv->smtp_username_entry;
#line 146 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp51_, (GtkWidget*) _tmp52_, 1, 0, 1, 1);
#line 147 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp53_ = smtp_credentials;
#line 147 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp54_ = smtp_password_label;
#line 147 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp53_, (GtkWidget*) _tmp54_, 0, 1, 1, 1);
#line 148 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp55_ = smtp_credentials;
#line 148 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp56_ = self->priv->smtp_password_entry;
#line 148 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp55_, (GtkWidget*) _tmp56_, 1, 1, 1, 1);
#line 150 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp57_ = (GtkRevealer*) gtk_revealer_new ();
#line 150 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp57_);
#line 150 "../src/Dialogs/Imap/ImapDialog.vala"
	_data7_->smtp_revealer = _tmp57_;
#line 151 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp58_ = _data7_->smtp_revealer;
#line 151 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp59_ = smtp_credentials;
#line 151 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp58_, (GtkWidget*) _tmp59_);
#line 153 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp60_ = (GtkLabel*) gtk_label_new (_ ("Server URL:"));
#line 153 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_label_set_xalign (_tmp60_, (gfloat) 1);
#line 153 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp60_);
#line 153 "../src/Dialogs/Imap/ImapDialog.vala"
	smtp_url_label = _tmp60_;
#line 157 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp61_ = granite_validated_entry_new ();
#line 157 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp61_);
#line 157 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_server_entry);
#line 157 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->smtp_server_entry = _tmp61_;
#line 159 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp62_ = (GtkLabel*) gtk_label_new (_ ("Port:"));
#line 159 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_label_set_xalign (_tmp62_, (gfloat) 1);
#line 159 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp62_);
#line 159 "../src/Dialogs/Imap/ImapDialog.vala"
	smtp_port_label = _tmp62_;
#line 163 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp63_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) G_MAXUINT16, (gdouble) 10);
#line 163 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_spin_button_set_value (_tmp63_, (gdouble) 587);
#line 163 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp63_);
#line 163 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_port_spin);
#line 163 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->smtp_port_spin = _tmp63_;
#line 167 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp64_ = (GtkLabel*) gtk_label_new (_ ("Encryption:"));
#line 167 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_label_set_xalign (_tmp64_, (gfloat) 1);
#line 167 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp64_);
#line 167 "../src/Dialogs/Imap/ImapDialog.vala"
	smtp_encryption_label = _tmp64_;
#line 171 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp65_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 171 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp65_, TRUE);
#line 171 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp65_);
#line 171 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_encryption_combobox);
#line 171 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->smtp_encryption_combobox = _tmp65_;
#line 175 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp66_ = self->priv->smtp_encryption_combobox;
#line 175 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_combo_box_text_append (_tmp66_, "none", _ ("None"));
#line 176 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp67_ = self->priv->smtp_encryption_combobox;
#line 176 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_combo_box_text_append (_tmp67_, "ssl-on-alternate-port", "SSL/TLS");
#line 177 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp68_ = self->priv->smtp_encryption_combobox;
#line 177 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_combo_box_text_append (_tmp68_, "starttls-on-standard-port", "STARTTLS");
#line 178 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp69_ = self->priv->smtp_encryption_combobox;
#line 178 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_combo_box_set_active ((GtkComboBox*) _tmp69_, 2);
#line 180 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp70_ = (GtkGrid*) gtk_grid_new ();
#line 180 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_set_column_spacing (_tmp70_, 6);
#line 180 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_set_row_spacing (_tmp70_, 6);
#line 180 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp70_);
#line 180 "../src/Dialogs/Imap/ImapDialog.vala"
	smtp_server_grid = _tmp70_;
#line 184 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp71_ = smtp_server_grid;
#line 184 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp72_ = smtp_header;
#line 184 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp71_, (GtkWidget*) _tmp72_, 0, 0, 2, 1);
#line 185 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp73_ = smtp_server_grid;
#line 185 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp74_ = self->priv->smtp_no_credentials;
#line 185 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp73_, (GtkWidget*) _tmp74_, 1, 1, 1, 1);
#line 186 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp75_ = smtp_server_grid;
#line 186 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp76_ = self->priv->use_imap_credentials;
#line 186 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp75_, (GtkWidget*) _tmp76_, 1, 2, 1, 1);
#line 187 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp77_ = smtp_server_grid;
#line 187 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp78_ = _data7_->smtp_revealer;
#line 187 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp77_, (GtkWidget*) _tmp78_, 0, 3, 2, 1);
#line 188 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp79_ = smtp_server_grid;
#line 188 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp80_ = smtp_url_label;
#line 188 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp79_, (GtkWidget*) _tmp80_, 0, 4, 1, 1);
#line 189 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp81_ = smtp_server_grid;
#line 189 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp82_ = self->priv->smtp_server_entry;
#line 189 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp81_, (GtkWidget*) _tmp82_, 1, 4, 1, 1);
#line 190 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp83_ = smtp_server_grid;
#line 190 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp84_ = smtp_encryption_label;
#line 190 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp83_, (GtkWidget*) _tmp84_, 0, 5, 1, 1);
#line 191 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp85_ = smtp_server_grid;
#line 191 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp86_ = self->priv->smtp_encryption_combobox;
#line 191 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp85_, (GtkWidget*) _tmp86_, 1, 5, 1, 1);
#line 192 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp87_ = smtp_server_grid;
#line 192 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp88_ = smtp_port_label;
#line 192 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp87_, (GtkWidget*) _tmp88_, 0, 6, 1, 1);
#line 193 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp89_ = smtp_server_grid;
#line 193 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp90_ = self->priv->smtp_port_spin;
#line 193 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_attach (_tmp89_, (GtkWidget*) _tmp90_, 1, 6, 1, 1);
#line 195 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp91_ = gtk_size_group_new (GTK_SIZE_GROUP_HORIZONTAL);
#line 195 "../src/Dialogs/Imap/ImapDialog.vala"
	smtp_sizegroup = _tmp91_;
#line 196 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp92_ = smtp_sizegroup;
#line 196 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp93_ = smtp_username_label;
#line 196 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_size_group_add_widget (_tmp92_, (GtkWidget*) _tmp93_);
#line 197 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp94_ = smtp_sizegroup;
#line 197 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp95_ = smtp_password_label;
#line 197 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_size_group_add_widget (_tmp94_, (GtkWidget*) _tmp95_);
#line 198 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp96_ = smtp_sizegroup;
#line 198 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp97_ = smtp_url_label;
#line 198 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_size_group_add_widget (_tmp96_, (GtkWidget*) _tmp97_);
#line 199 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp98_ = smtp_sizegroup;
#line 199 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp99_ = smtp_encryption_label;
#line 199 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_size_group_add_widget (_tmp98_, (GtkWidget*) _tmp99_);
#line 200 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp100_ = smtp_sizegroup;
#line 200 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp101_ = smtp_port_label;
#line 200 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_size_group_add_widget (_tmp100_, (GtkWidget*) _tmp101_);
#line 202 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp102_ = (GtkButton*) gtk_button_new_with_label (_ ("Back"));
#line 202 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp102_);
#line 202 "../src/Dialogs/Imap/ImapDialog.vala"
	back_button = _tmp102_;
#line 204 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp103_ = (GtkButton*) gtk_button_new_with_label (_ ("Log In"));
#line 204 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_can_default ((GtkWidget*) _tmp103_, TRUE);
#line 204 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp103_, FALSE);
#line 204 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp103_);
#line 204 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 204 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->save_button = _tmp103_;
#line 208 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp104_ = self->priv->save_button;
#line 208 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp105_ = gtk_widget_get_style_context ((GtkWidget*) _tmp104_);
#line 208 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_style_context_add_class (_tmp105_, GTK_STYLE_CLASS_SUGGESTED_ACTION);
#line 210 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp106_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 210 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_set (_tmp106_, "layout-style", GTK_BUTTONBOX_END, NULL);
#line 210 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_box_set_spacing ((GtkBox*) _tmp106_, 6);
#line 210 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp106_, GTK_ALIGN_END);
#line 210 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp106_, TRUE);
#line 210 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp106_);
#line 210 "../src/Dialogs/Imap/ImapDialog.vala"
	action_area = _tmp106_;
#line 216 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp107_ = action_area;
#line 216 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp108_ = back_button;
#line 216 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp107_, (GtkWidget*) _tmp108_);
#line 217 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp109_ = action_area;
#line 217 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp110_ = self->priv->save_button;
#line 217 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp109_, (GtkWidget*) _tmp110_);
#line 219 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp111_ = (GtkGrid*) gtk_grid_new ();
#line 219 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_set ((GtkWidget*) _tmp111_, "margin", 12, NULL);
#line 219 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp111_, GTK_ORIENTATION_VERTICAL);
#line 219 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_grid_set_row_spacing (_tmp111_, 24);
#line 219 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp111_);
#line 219 "../src/Dialogs/Imap/ImapDialog.vala"
	_data7_->main_grid = _tmp111_;
#line 224 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp112_ = _data7_->main_grid;
#line 224 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp113_ = imap_server_grid;
#line 224 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp112_, (GtkWidget*) _tmp113_);
#line 225 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp114_ = _data7_->main_grid;
#line 225 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp115_ = smtp_server_grid;
#line 225 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp114_, (GtkWidget*) _tmp115_);
#line 226 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp116_ = _data7_->main_grid;
#line 226 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp117_ = action_area;
#line 226 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp116_, (GtkWidget*) _tmp117_);
#line 228 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp118_ = (HdyDeck*) hdy_deck_new ();
#line 228 "../src/Dialogs/Imap/ImapDialog.vala"
	hdy_deck_set_can_swipe_back (_tmp118_, TRUE);
#line 228 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_set ((GtkWidget*) _tmp118_, "expand", TRUE, NULL);
#line 228 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp118_);
#line 228 "../src/Dialogs/Imap/ImapDialog.vala"
	_data7_->deck = _tmp118_;
#line 232 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp119_ = _data7_->deck;
#line 232 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp120_ = self->priv->login_page;
#line 232 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp119_, (GtkWidget*) _tmp120_);
#line 233 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp121_ = _data7_->deck;
#line 233 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp122_ = _data7_->main_grid;
#line 233 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp121_, (GtkWidget*) _tmp122_);
#line 234 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp123_ = _data7_->deck;
#line 234 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp124_ = self->priv->save_page;
#line 234 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp123_, (GtkWidget*) _tmp124_);
#line 236 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp125_ = (HdyWindowHandle*) hdy_window_handle_new ();
#line 236 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_ref_sink (_tmp125_);
#line 236 "../src/Dialogs/Imap/ImapDialog.vala"
	window_handle = _tmp125_;
#line 237 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp126_ = window_handle;
#line 237 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp127_ = _data7_->deck;
#line 237 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp126_, (GtkWidget*) _tmp127_);
#line 239 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_set ((GtkWindow*) self, "default-height", 400, NULL);
#line 240 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_set ((GtkWindow*) self, "default-width", 300, NULL);
#line 241 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_set ((GtkWindow*) self, "window-position", GTK_WIN_POS_CENTER_ON_PARENT, NULL);
#line 242 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_window_set_modal ((GtkWindow*) self, TRUE);
#line 243 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_window_set_type_hint ((GtkWindow*) self, GDK_WINDOW_TYPE_HINT_DIALOG);
#line 244 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp128_ = window_handle;
#line 244 "../src/Dialogs/Imap/ImapDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp128_);
#line 246 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp129_ = self->priv->login_page;
#line 246 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp130_ = online_accounts_imap_login_page_get_next_button (_tmp129_);
#line 246 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp131_ = _tmp130_;
#line 246 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_set ((GtkWidget*) _tmp131_, "has-default", TRUE, NULL);
#line 248 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp132_ = self->priv->login_page;
#line 248 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_object (_tmp132_, "cancel", (GCallback) _gtk_widget_destroy_online_accounts_imap_login_page_cancel, (GtkWidget*) self, 0);
#line 250 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp133_ = self->priv->login_page;
#line 250 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp134_ = online_accounts_imap_login_page_get_next_button (_tmp133_);
#line 250 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp135_ = _tmp134_;
#line 250 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_data (_tmp135_, "clicked", (GCallback) __online_accounts_imap_dialog___lambda27__gtk_button_clicked, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 255 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp136_ = self->priv->save_page;
#line 255 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_object (_tmp136_, "close", (GCallback) _gtk_widget_destroy_online_accounts_imap_save_page_close, (GtkWidget*) self, 0);
#line 257 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp137_ = self->priv->save_page;
#line 257 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_data (_tmp137_, "back", (GCallback) __online_accounts_imap_dialog___lambda28__online_accounts_imap_save_page_back, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 262 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp138_ = back_button;
#line 262 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_data (_tmp138_, "clicked", (GCallback) __online_accounts_imap_dialog___lambda29__gtk_button_clicked, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 267 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp139_ = self->priv->smtp_no_credentials;
#line 267 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_data ((GObject*) _tmp139_, "notify::active", (GCallback) __online_accounts_imap_dialog___lambda30__g_object_notify, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 272 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp140_ = self->priv->use_imap_credentials;
#line 272 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp141_ = _data7_->smtp_revealer;
#line 272 "../src/Dialogs/Imap/ImapDialog.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp140_, "active", (GObject*) _tmp141_, "reveal-child", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 274 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp142_ = self->priv->login_page;
#line 274 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_object ((GObject*) _tmp142_, "notify::email", (GCallback) __online_accounts_imap_dialog___lambda31__g_object_notify, self, 0);
#line 289 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp143_ = self->priv->imap_username_entry;
#line 289 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp143_, "changed", (GCallback) __online_accounts_imap_dialog___lambda32__gtk_editable_changed, self, 0);
#line 297 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp144_ = self->priv->imap_server_entry;
#line 297 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp144_, "changed", (GCallback) __online_accounts_imap_dialog___lambda33__gtk_editable_changed, self, 0);
#line 302 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp145_ = self->priv->imap_encryption_combobox;
#line 302 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_object ((GtkComboBox*) _tmp145_, "changed", (GCallback) __online_accounts_imap_dialog___lambda34__gtk_combo_box_changed, self, 0);
#line 316 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp146_ = self->priv->smtp_server_entry;
#line 316 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp146_, "changed", (GCallback) __online_accounts_imap_dialog___lambda35__gtk_editable_changed, self, 0);
#line 321 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp147_ = self->priv->smtp_encryption_combobox;
#line 321 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_object ((GtkComboBox*) _tmp147_, "changed", (GCallback) __online_accounts_imap_dialog___lambda36__gtk_combo_box_changed, self, 0);
#line 335 "../src/Dialogs/Imap/ImapDialog.vala"
	_tmp148_ = self->priv->save_button;
#line 335 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_data (_tmp148_, "clicked", (GCallback) __online_accounts_imap_dialog___lambda37__gtk_button_clicked, block7_data_ref (_data7_), (GClosureNotify) block7_data_unref, 0);
#line 355 "../src/Dialogs/Imap/ImapDialog.vala"
	g_signal_connect_object ((GtkWidget*) self, "key-release-event", (GCallback) __online_accounts_imap_dialog___lambda39__gtk_widget_key_release_event, self, 0);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (window_handle);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (action_area);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (back_button);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (smtp_sizegroup);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (smtp_server_grid);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (smtp_encryption_label);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (smtp_port_label);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (smtp_url_label);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (smtp_credentials);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (smtp_password_label);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (smtp_username_label);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (smtp_header);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (imap_server_grid);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (imap_refresh_interval_label);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (imap_encryption_label);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (imap_port_label);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (imap_url_label);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (imap_password_label);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (imap_username_label);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (imap_header);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	block7_data_unref (_data7_);
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	_data7_ = NULL;
#line 43 "../src/Dialogs/Imap/ImapDialog.vala"
	return obj;
#line 6021 "ImapDialog.c"
}

static void
online_accounts_imap_dialog_class_init (OnlineAccountsImapDialogClass * klass,
                                        gpointer klass_data)
{
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	online_accounts_imap_dialog_parent_class = g_type_class_peek_parent (klass);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	g_type_class_adjust_private_offset (klass, &OnlineAccountsImapDialog_private_offset);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	G_OBJECT_CLASS (klass)->constructor = online_accounts_imap_dialog_constructor;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = online_accounts_imap_dialog_finalize;
#line 6036 "ImapDialog.c"
}

static void
online_accounts_imap_dialog_instance_init (OnlineAccountsImapDialog * self,
                                           gpointer klass)
{
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv = online_accounts_imap_dialog_get_instance_private (self);
#line 38 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->cancel_timeout_id = (guint) 0;
#line 40 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->registry = NULL;
#line 41 "../src/Dialogs/Imap/ImapDialog.vala"
	self->priv->source = NULL;
#line 6051 "ImapDialog.c"
}

static void
online_accounts_imap_dialog_finalize (GObject * obj)
{
	OnlineAccountsImapDialog * self;
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_TYPE_IMAP_DIALOG, OnlineAccountsImapDialog);
#line 22 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->cancellable);
#line 23 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->imap_server_entry);
#line 24 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->imap_username_entry);
#line 25 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_server_entry);
#line 26 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 27 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->use_imap_credentials);
#line 28 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_no_credentials);
#line 29 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->imap_encryption_combobox);
#line 30 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_encryption_combobox);
#line 31 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_password_entry);
#line 32 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_username_entry);
#line 33 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->imap_port_spin);
#line 34 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->imap_refresh_interval_spin);
#line 35 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->smtp_port_spin);
#line 36 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->login_page);
#line 37 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->save_page);
#line 40 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->registry);
#line 41 "../src/Dialogs/Imap/ImapDialog.vala"
	_g_object_unref0 (self->priv->source);
#line 21 "../src/Dialogs/Imap/ImapDialog.vala"
	G_OBJECT_CLASS (online_accounts_imap_dialog_parent_class)->finalize (obj);
#line 6098 "ImapDialog.c"
}

static GType
online_accounts_imap_dialog_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (OnlineAccountsImapDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) online_accounts_imap_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnlineAccountsImapDialog), 0, (GInstanceInitFunc) online_accounts_imap_dialog_instance_init, NULL };
	GType online_accounts_imap_dialog_type_id;
	online_accounts_imap_dialog_type_id = g_type_register_static (hdy_window_get_type (), "OnlineAccountsImapDialog", &g_define_type_info, 0);
	OnlineAccountsImapDialog_private_offset = g_type_add_instance_private (online_accounts_imap_dialog_type_id, sizeof (OnlineAccountsImapDialogPrivate));
	return online_accounts_imap_dialog_type_id;
}

GType
online_accounts_imap_dialog_get_type (void)
{
	static volatile gsize online_accounts_imap_dialog_type_id__once = 0;
	if (g_once_init_enter (&online_accounts_imap_dialog_type_id__once)) {
		GType online_accounts_imap_dialog_type_id;
		online_accounts_imap_dialog_type_id = online_accounts_imap_dialog_get_type_once ();
		g_once_init_leave (&online_accounts_imap_dialog_type_id__once, online_accounts_imap_dialog_type_id);
	}
	return online_accounts_imap_dialog_type_id__once;
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

static gssize
_vala_array_length (gpointer array)
{
	gssize length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}

